
functor ParseMainFun
   (structure Streamable : STREAMABLE
    structure Arg :
       sig
          type string
          type int
          type char
          type longid
          type tp
          type tp_list
          type dt
          type spec
          type specs
          type sg
          type pattern
          type patterns
          type term
          type terms
          type match
          type module
          type decl
          type decls

          val cons_decls : decl * decls -> decls
          val nil_decls : unit -> decls
          val local_decl : decls * decls -> decl
          val open_decl : longid -> decl
          val opaque_structure_decl : string * sg * module -> decl
          val trans_structure_decl : string * sg * module -> decl
          val structure_decl : string * module -> decl
          val datatype_decl : string * dt -> decl
          val type_decl : string * tp -> decl
          val fun_decl : string * string * tp * tp * term -> decl
          val val_decl : pattern * term -> decl
          val opaque_seal_module : module * sg -> module
          val trans_seal_module : module * sg -> module
          val struct_module : decls -> module
          val paren_module : module -> module
          val ident_module : longid -> module
          val cons_match : pattern * term * match -> match
          val single_match : pattern * term -> match
          val cons_terms : term * terms -> terms
          val double_terms : term * term -> terms
          val case_term : term * match -> term
          val fn_term : string * tp * term -> term
          val concat_term : term * term -> term
          val times_term : term * term -> term
          val minus_term : term * term -> term
          val plus_term : term * term -> term
          val term_app_term : term -> term
          val app_term : term * term -> term
          val atom_term : term -> term
          val neg_term : unit -> term
          val char_term : char -> term
          val string_term : string -> term
          val number_term : int -> term
          val let_term : decls * term -> term
          val tuple_term : terms -> term
          val unit_term : unit -> term
          val paren_term : term -> term
          val ident_term : longid -> term
          val cons_patterns : pattern * patterns -> patterns
          val double_patterns : pattern * pattern -> patterns
          val app_pattern : longid * pattern -> pattern
          val atom_pattern : pattern -> pattern
          val number_pattern : int -> pattern
          val tuple_pattern : patterns -> pattern
          val unit_pattern : unit -> pattern
          val paren_pattern : pattern -> pattern
          val ident_pattern : string -> pattern
          val sig_sg : specs -> sg
          val cons_specs : spec * specs -> specs
          val nil_specs : unit -> specs
          val datatype_spec : string * dt -> spec
          val structure_spec : string * sg -> spec
          val type_eq_spec : string * tp -> spec
          val type_spec : string -> spec
          val val_spec : string * tp -> spec
          val cons_dt : string * tp * dt -> dt
          val single_dt : string * tp -> dt
          val arrow_tp : tp * tp -> tp
          val prod_tp : tp_list -> tp
          val tp_atom_tp : tp -> tp
          val cons_tp_prod : tp * tp_list -> tp_list
          val double_tp_prod : tp * tp -> tp_list
          val ident_tp : longid -> tp
          val cons_longid : string * longid -> longid
          val single_longid : string -> longid
          val number : int -> int
          val ident : string -> string

          datatype terminal =
             IDENT of string
           | NUMBER of int
           | STRINGLIT of string
           | CHARLIT of char
           | LPAREN
           | RPAREN
           | ARROW
           | BAR
           | CARET
           | COLON
           | COMMA
           | DARROW
           | DOT
           | EQUAL
           | MINUS
           | NEG
           | PLUS
           | SEAL
           | TIMES
           | CASE
           | DATATYPE
           | END
           | FN
           | FUN
           | IN
           | LET
           | LOCAL
           | OF
           | OPEN
           | SIG
           | STRUCT
           | STRUCTURE
           | TYPE
           | VAL

          val error : terminal Streamable.t -> exn
       end)
   :>
   sig
      val parse : Arg.terminal Streamable.t -> Arg.decls * Arg.terminal Streamable.t
   end
=

(*

AUTOMATON LISTING
=================

State 0:

start -> . Decls  / 0
56 : Decl -> . VAL Pattern EQUAL Term  / 1
57 : Decl -> . FUN Ident LPAREN Ident COLON Tp RPAREN COLON Tp EQUAL Term  / 1
58 : Decl -> . TYPE Ident EQUAL Tp  / 1
59 : Decl -> . DATATYPE Ident EQUAL Datatype  / 1
60 : Decl -> . STRUCTURE Ident EQUAL Module  / 1
61 : Decl -> . STRUCTURE Ident COLON Sg EQUAL Module  / 1
62 : Decl -> . STRUCTURE Ident SEAL Sg EQUAL Module  / 1
63 : Decl -> . OPEN Longid  / 1
64 : Decl -> . LOCAL Decls IN Decls END  / 1
65 : Decls -> .  / 0
66 : Decls -> . Decl Decls  / 0

$ => reduce 65
DATATYPE => shift 5
FUN => shift 4
LOCAL => shift 3
OPEN => shift 7
STRUCTURE => shift 6
TYPE => shift 9
VAL => shift 8
Decls => goto 2
Decl => goto 1

-----

State 1:

56 : Decl -> . VAL Pattern EQUAL Term  / 2
57 : Decl -> . FUN Ident LPAREN Ident COLON Tp RPAREN COLON Tp EQUAL Term  / 2
58 : Decl -> . TYPE Ident EQUAL Tp  / 2
59 : Decl -> . DATATYPE Ident EQUAL Datatype  / 2
60 : Decl -> . STRUCTURE Ident EQUAL Module  / 2
61 : Decl -> . STRUCTURE Ident COLON Sg EQUAL Module  / 2
62 : Decl -> . STRUCTURE Ident SEAL Sg EQUAL Module  / 2
63 : Decl -> . OPEN Longid  / 2
64 : Decl -> . LOCAL Decls IN Decls END  / 2
65 : Decls -> .  / 3
66 : Decls -> . Decl Decls  / 3
66 : Decls -> Decl . Decls  / 3

$ => reduce 65
DATATYPE => shift 5
END => reduce 65
FUN => shift 4
IN => reduce 65
LOCAL => shift 3
OPEN => shift 7
STRUCTURE => shift 6
TYPE => shift 9
VAL => shift 8
Decls => goto 10
Decl => goto 1

-----

State 2:

start -> Decls .  / 0

$ => accept

-----

State 3:

56 : Decl -> . VAL Pattern EQUAL Term  / 4
57 : Decl -> . FUN Ident LPAREN Ident COLON Tp RPAREN COLON Tp EQUAL Term  / 4
58 : Decl -> . TYPE Ident EQUAL Tp  / 4
59 : Decl -> . DATATYPE Ident EQUAL Datatype  / 4
60 : Decl -> . STRUCTURE Ident EQUAL Module  / 4
61 : Decl -> . STRUCTURE Ident COLON Sg EQUAL Module  / 4
62 : Decl -> . STRUCTURE Ident SEAL Sg EQUAL Module  / 4
63 : Decl -> . OPEN Longid  / 4
64 : Decl -> . LOCAL Decls IN Decls END  / 4
64 : Decl -> LOCAL . Decls IN Decls END  / 2
65 : Decls -> .  / 5
66 : Decls -> . Decl Decls  / 5

DATATYPE => shift 5
FUN => shift 4
IN => reduce 65
LOCAL => shift 3
OPEN => shift 7
STRUCTURE => shift 6
TYPE => shift 9
VAL => shift 8
Decls => goto 11
Decl => goto 1

-----

State 4:

0 : Ident -> . IDENT  / 6
57 : Decl -> FUN . Ident LPAREN Ident COLON Tp RPAREN COLON Tp EQUAL Term  / 2

IDENT => shift 13
Ident => goto 12

-----

State 5:

0 : Ident -> . IDENT  / 7
59 : Decl -> DATATYPE . Ident EQUAL Datatype  / 2

IDENT => shift 13
Ident => goto 14

-----

State 6:

0 : Ident -> . IDENT  / 8
60 : Decl -> STRUCTURE . Ident EQUAL Module  / 2
61 : Decl -> STRUCTURE . Ident COLON Sg EQUAL Module  / 2
62 : Decl -> STRUCTURE . Ident SEAL Sg EQUAL Module  / 2

IDENT => shift 13
Ident => goto 15

-----

State 7:

0 : Ident -> . IDENT  / 9
2 : Longid -> . Ident  / 2
3 : Longid -> . Ident DOT Longid  / 2
63 : Decl -> OPEN . Longid  / 2

IDENT => shift 13
Ident => goto 17
Longid => goto 16

-----

State 8:

0 : Ident -> . IDENT  / 10
1 : Number -> . NUMBER  / 7
2 : Longid -> . Ident  / 11
3 : Longid -> . Ident DOT Longid  / 11
20 : PatternAtom -> . Ident  / 7
21 : PatternAtom -> . LPAREN Pattern RPAREN  / 7
22 : PatternAtom -> . LPAREN RPAREN  / 7
23 : PatternAtom -> . LPAREN Patterns RPAREN  / 7
24 : PatternAtom -> . Number  / 7
25 : Pattern -> . PatternAtom  / 7
26 : Pattern -> . Longid PatternAtom  / 7
56 : Decl -> VAL . Pattern EQUAL Term  / 2

IDENT => shift 13
NUMBER => shift 24
LPAREN => shift 23
Ident => goto 22
Number => goto 21
Longid => goto 20
PatternAtom => goto 19
Pattern => goto 18

-----

State 9:

0 : Ident -> . IDENT  / 7
58 : Decl -> TYPE . Ident EQUAL Tp  / 2

IDENT => shift 13
Ident => goto 25

-----

State 10:

66 : Decls -> Decl Decls .  / 3

$ => reduce 66
END => reduce 66
IN => reduce 66

-----

State 11:

64 : Decl -> LOCAL Decls . IN Decls END  / 2

IN => shift 26

-----

State 12:

57 : Decl -> FUN Ident . LPAREN Ident COLON Tp RPAREN COLON Tp EQUAL Term  / 2

LPAREN => shift 27

-----

State 13:

0 : Ident -> IDENT .  / 12

$ => reduce 0
IDENT => reduce 0
NUMBER => reduce 0
STRINGLIT => reduce 0
CHARLIT => reduce 0
LPAREN => reduce 0
RPAREN => reduce 0
ARROW => reduce 0
BAR => reduce 0
CARET => reduce 0
COLON => reduce 0
COMMA => reduce 0
DARROW => reduce 0
DOT => reduce 0
EQUAL => reduce 0
MINUS => reduce 0
NEG => reduce 0
PLUS => reduce 0
SEAL => reduce 0
TIMES => reduce 0
DATATYPE => reduce 0
END => reduce 0
FUN => reduce 0
IN => reduce 0
LET => reduce 0
LOCAL => reduce 0
OF => reduce 0
OPEN => reduce 0
STRUCTURE => reduce 0
TYPE => reduce 0
VAL => reduce 0

-----

State 14:

59 : Decl -> DATATYPE Ident . EQUAL Datatype  / 2

EQUAL => shift 28

-----

State 15:

60 : Decl -> STRUCTURE Ident . EQUAL Module  / 2
61 : Decl -> STRUCTURE Ident . COLON Sg EQUAL Module  / 2
62 : Decl -> STRUCTURE Ident . SEAL Sg EQUAL Module  / 2

COLON => shift 31
EQUAL => shift 30
SEAL => shift 29

-----

State 16:

63 : Decl -> OPEN Longid .  / 2

$ => reduce 63
DATATYPE => reduce 63
END => reduce 63
FUN => reduce 63
IN => reduce 63
LOCAL => reduce 63
OPEN => reduce 63
STRUCTURE => reduce 63
TYPE => reduce 63
VAL => reduce 63

-----

State 17:

2 : Longid -> Ident .  / 13
3 : Longid -> Ident . DOT Longid  / 13

$ => reduce 2
IDENT => reduce 2
NUMBER => reduce 2
STRINGLIT => reduce 2
CHARLIT => reduce 2
LPAREN => reduce 2
RPAREN => reduce 2
ARROW => reduce 2
BAR => reduce 2
CARET => reduce 2
COLON => reduce 2
COMMA => reduce 2
DARROW => reduce 2
DOT => shift 32
EQUAL => reduce 2
MINUS => reduce 2
NEG => reduce 2
PLUS => reduce 2
SEAL => reduce 2
TIMES => reduce 2
DATATYPE => reduce 2
END => reduce 2
FUN => reduce 2
IN => reduce 2
LET => reduce 2
LOCAL => reduce 2
OF => reduce 2
OPEN => reduce 2
STRUCTURE => reduce 2
TYPE => reduce 2
VAL => reduce 2

-----

State 18:

56 : Decl -> VAL Pattern . EQUAL Term  / 2

EQUAL => shift 33

-----

State 19:

25 : Pattern -> PatternAtom .  / 14

RPAREN => reduce 25
COMMA => reduce 25
DARROW => reduce 25
EQUAL => reduce 25

-----

State 20:

0 : Ident -> . IDENT  / 14
1 : Number -> . NUMBER  / 14
20 : PatternAtom -> . Ident  / 14
21 : PatternAtom -> . LPAREN Pattern RPAREN  / 14
22 : PatternAtom -> . LPAREN RPAREN  / 14
23 : PatternAtom -> . LPAREN Patterns RPAREN  / 14
24 : PatternAtom -> . Number  / 14
26 : Pattern -> Longid . PatternAtom  / 14

IDENT => shift 13
NUMBER => shift 24
LPAREN => shift 23
Ident => goto 35
Number => goto 21
PatternAtom => goto 34

-----

State 21:

24 : PatternAtom -> Number .  / 14

RPAREN => reduce 24
COMMA => reduce 24
DARROW => reduce 24
EQUAL => reduce 24

-----

State 22:

2 : Longid -> Ident .  / 11
3 : Longid -> Ident . DOT Longid  / 11
20 : PatternAtom -> Ident .  / 14

IDENT => reduce 2
NUMBER => reduce 2
LPAREN => reduce 2
RPAREN => reduce 20
COMMA => reduce 20
DARROW => reduce 20
DOT => shift 32
EQUAL => reduce 20

-----

State 23:

0 : Ident -> . IDENT  / 15
1 : Number -> . NUMBER  / 16
2 : Longid -> . Ident  / 11
3 : Longid -> . Ident DOT Longid  / 11
20 : PatternAtom -> . Ident  / 16
21 : PatternAtom -> . LPAREN Pattern RPAREN  / 16
21 : PatternAtom -> LPAREN . Pattern RPAREN  / 14
22 : PatternAtom -> . LPAREN RPAREN  / 16
22 : PatternAtom -> LPAREN . RPAREN  / 14
23 : PatternAtom -> . LPAREN Patterns RPAREN  / 16
23 : PatternAtom -> LPAREN . Patterns RPAREN  / 14
24 : PatternAtom -> . Number  / 16
25 : Pattern -> . PatternAtom  / 16
26 : Pattern -> . Longid PatternAtom  / 16
27 : Patterns -> . Pattern COMMA Pattern  / 17
28 : Patterns -> . Pattern COMMA Patterns  / 17

IDENT => shift 13
NUMBER => shift 24
LPAREN => shift 23
RPAREN => shift 37
Ident => goto 22
Number => goto 21
Longid => goto 20
PatternAtom => goto 19
Pattern => goto 36
Patterns => goto 38

-----

State 24:

1 : Number -> NUMBER .  / 18

$ => reduce 1
IDENT => reduce 1
NUMBER => reduce 1
STRINGLIT => reduce 1
CHARLIT => reduce 1
LPAREN => reduce 1
RPAREN => reduce 1
BAR => reduce 1
CARET => reduce 1
COMMA => reduce 1
DARROW => reduce 1
EQUAL => reduce 1
MINUS => reduce 1
NEG => reduce 1
PLUS => reduce 1
TIMES => reduce 1
DATATYPE => reduce 1
END => reduce 1
FUN => reduce 1
IN => reduce 1
LET => reduce 1
LOCAL => reduce 1
OF => reduce 1
OPEN => reduce 1
STRUCTURE => reduce 1
TYPE => reduce 1
VAL => reduce 1

-----

State 25:

58 : Decl -> TYPE Ident . EQUAL Tp  / 2

EQUAL => shift 39

-----

State 26:

56 : Decl -> . VAL Pattern EQUAL Term  / 19
57 : Decl -> . FUN Ident LPAREN Ident COLON Tp RPAREN COLON Tp EQUAL Term  / 19
58 : Decl -> . TYPE Ident EQUAL Tp  / 19
59 : Decl -> . DATATYPE Ident EQUAL Datatype  / 19
60 : Decl -> . STRUCTURE Ident EQUAL Module  / 19
61 : Decl -> . STRUCTURE Ident COLON Sg EQUAL Module  / 19
62 : Decl -> . STRUCTURE Ident SEAL Sg EQUAL Module  / 19
63 : Decl -> . OPEN Longid  / 19
64 : Decl -> . LOCAL Decls IN Decls END  / 19
64 : Decl -> LOCAL Decls IN . Decls END  / 2
65 : Decls -> .  / 20
66 : Decls -> . Decl Decls  / 20

DATATYPE => shift 5
END => reduce 65
FUN => shift 4
LOCAL => shift 3
OPEN => shift 7
STRUCTURE => shift 6
TYPE => shift 9
VAL => shift 8
Decls => goto 40
Decl => goto 1

-----

State 27:

0 : Ident -> . IDENT  / 21
57 : Decl -> FUN Ident LPAREN . Ident COLON Tp RPAREN COLON Tp EQUAL Term  / 2

IDENT => shift 13
Ident => goto 41

-----

State 28:

0 : Ident -> . IDENT  / 22
10 : Datatype -> . Ident OF Tp  / 2
11 : Datatype -> . Ident OF Tp BAR Datatype  / 2
59 : Decl -> DATATYPE Ident EQUAL . Datatype  / 2

IDENT => shift 13
Ident => goto 43
Datatype => goto 42

-----

State 29:

19 : Sg -> . SIG Specs END  / 7
62 : Decl -> STRUCTURE Ident SEAL . Sg EQUAL Module  / 2

SIG => shift 45
Sg => goto 44

-----

State 30:

0 : Ident -> . IDENT  / 23
2 : Longid -> . Ident  / 24
3 : Longid -> . Ident DOT Longid  / 24
51 : Module -> . Longid  / 24
52 : Module -> . LPAREN Module RPAREN  / 24
53 : Module -> . STRUCT Decls END  / 24
54 : Module -> . Module COLON Sg  / 24
55 : Module -> . Module SEAL Sg  / 24
60 : Decl -> STRUCTURE Ident EQUAL . Module  / 2

IDENT => shift 13
LPAREN => shift 49
STRUCT => shift 48
Ident => goto 17
Longid => goto 47
Module => goto 46

-----

State 31:

19 : Sg -> . SIG Specs END  / 7
61 : Decl -> STRUCTURE Ident COLON . Sg EQUAL Module  / 2

SIG => shift 45
Sg => goto 50

-----

State 32:

0 : Ident -> . IDENT  / 12
2 : Longid -> . Ident  / 13
3 : Longid -> . Ident DOT Longid  / 13
3 : Longid -> Ident DOT . Longid  / 13

IDENT => shift 13
Ident => goto 17
Longid => goto 51

-----

State 33:

0 : Ident -> . IDENT  / 25
1 : Number -> . NUMBER  / 26
2 : Longid -> . Ident  / 26
3 : Longid -> . Ident DOT Longid  / 26
29 : TermAtom -> . Longid  / 26
30 : TermAtom -> . LPAREN Term RPAREN  / 26
31 : TermAtom -> . LPAREN RPAREN  / 26
32 : TermAtom -> . LPAREN Terms RPAREN  / 26
33 : TermAtom -> . LET Decls IN Term END  / 26
34 : TermAtom -> . Number  / 26
35 : TermAtom -> . STRINGLIT  / 26
36 : TermAtom -> . CHARLIT  / 26
37 : TermAtom -> . NEG  / 26
38 : TermApp -> . TermAtom  / 26
39 : TermApp -> . TermApp TermAtom  / 26
40 : Term -> . TermApp  / 27
41 : Term -> . Term PLUS Term  / 27
42 : Term -> . Term MINUS Term  / 27
43 : Term -> . Term TIMES Term  / 27
44 : Term -> . Term CARET Term  / 27
45 : Term -> . FN Ident COLON Tp DARROW Term  / 27
46 : Term -> . CASE Term OF Match  / 27
56 : Decl -> VAL Pattern EQUAL . Term  / 2

IDENT => shift 13
NUMBER => shift 24
STRINGLIT => shift 56
CHARLIT => shift 55
LPAREN => shift 57
NEG => shift 54
CASE => shift 53
FN => shift 59
LET => shift 60
Ident => goto 17
Number => goto 62
Longid => goto 61
TermAtom => goto 58
Term => goto 52
TermApp => goto 63

-----

State 34:

26 : Pattern -> Longid PatternAtom .  / 14

RPAREN => reduce 26
COMMA => reduce 26
DARROW => reduce 26
EQUAL => reduce 26

-----

State 35:

20 : PatternAtom -> Ident .  / 14

RPAREN => reduce 20
COMMA => reduce 20
DARROW => reduce 20
EQUAL => reduce 20

-----

State 36:

21 : PatternAtom -> LPAREN Pattern . RPAREN  / 14
27 : Patterns -> Pattern . COMMA Pattern  / 17
28 : Patterns -> Pattern . COMMA Patterns  / 17

RPAREN => shift 65
COMMA => shift 64

-----

State 37:

22 : PatternAtom -> LPAREN RPAREN .  / 14

RPAREN => reduce 22
COMMA => reduce 22
DARROW => reduce 22
EQUAL => reduce 22

-----

State 38:

23 : PatternAtom -> LPAREN Patterns . RPAREN  / 14

RPAREN => shift 66

-----

State 39:

0 : Ident -> . IDENT  / 28
2 : Longid -> . Ident  / 29
3 : Longid -> . Ident DOT Longid  / 29
4 : TpAtom -> . Longid  / 29
5 : TpProd -> . TpAtom TIMES TpAtom  / 30
6 : TpProd -> . TpAtom TIMES TpProd  / 30
7 : Tp -> . TpAtom  / 30
8 : Tp -> . TpProd  / 30
9 : Tp -> . Tp ARROW Tp  / 30
58 : Decl -> TYPE Ident EQUAL . Tp  / 2

IDENT => shift 13
Ident => goto 17
Longid => goto 70
TpAtom => goto 69
TpProd => goto 68
Tp => goto 67

-----

State 40:

64 : Decl -> LOCAL Decls IN Decls . END  / 2

END => shift 71

-----

State 41:

57 : Decl -> FUN Ident LPAREN Ident . COLON Tp RPAREN COLON Tp EQUAL Term  / 2

COLON => shift 72

-----

State 42:

59 : Decl -> DATATYPE Ident EQUAL Datatype .  / 2

$ => reduce 59
DATATYPE => reduce 59
END => reduce 59
FUN => reduce 59
IN => reduce 59
LOCAL => reduce 59
OPEN => reduce 59
STRUCTURE => reduce 59
TYPE => reduce 59
VAL => reduce 59

-----

State 43:

10 : Datatype -> Ident . OF Tp  / 2
11 : Datatype -> Ident . OF Tp BAR Datatype  / 2

OF => shift 73

-----

State 44:

62 : Decl -> STRUCTURE Ident SEAL Sg . EQUAL Module  / 2

EQUAL => shift 74

-----

State 45:

12 : Spec -> . VAL Ident COLON Tp  / 31
13 : Spec -> . TYPE Ident  / 31
14 : Spec -> . TYPE Ident EQUAL Tp  / 31
15 : Spec -> . STRUCTURE Ident COLON Sg  / 31
16 : Spec -> . DATATYPE Ident EQUAL Datatype  / 31
17 : Specs -> .  / 20
18 : Specs -> . Spec Specs  / 20
19 : Sg -> SIG . Specs END  / 32

DATATYPE => shift 78
END => reduce 17
STRUCTURE => shift 80
TYPE => shift 79
VAL => shift 77
Spec => goto 76
Specs => goto 75

-----

State 46:

54 : Module -> Module . COLON Sg  / 24
55 : Module -> Module . SEAL Sg  / 24
60 : Decl -> STRUCTURE Ident EQUAL Module .  / 2

$ => reduce 60
COLON => shift 82
SEAL => shift 81
DATATYPE => reduce 60
END => reduce 60
FUN => reduce 60
IN => reduce 60
LOCAL => reduce 60
OPEN => reduce 60
STRUCTURE => reduce 60
TYPE => reduce 60
VAL => reduce 60

-----

State 47:

51 : Module -> Longid .  / 33

$ => reduce 51
RPAREN => reduce 51
COLON => reduce 51
SEAL => reduce 51
DATATYPE => reduce 51
END => reduce 51
FUN => reduce 51
IN => reduce 51
LOCAL => reduce 51
OPEN => reduce 51
STRUCTURE => reduce 51
TYPE => reduce 51
VAL => reduce 51

-----

State 48:

53 : Module -> STRUCT . Decls END  / 33
56 : Decl -> . VAL Pattern EQUAL Term  / 19
57 : Decl -> . FUN Ident LPAREN Ident COLON Tp RPAREN COLON Tp EQUAL Term  / 19
58 : Decl -> . TYPE Ident EQUAL Tp  / 19
59 : Decl -> . DATATYPE Ident EQUAL Datatype  / 19
60 : Decl -> . STRUCTURE Ident EQUAL Module  / 19
61 : Decl -> . STRUCTURE Ident COLON Sg EQUAL Module  / 19
62 : Decl -> . STRUCTURE Ident SEAL Sg EQUAL Module  / 19
63 : Decl -> . OPEN Longid  / 19
64 : Decl -> . LOCAL Decls IN Decls END  / 19
65 : Decls -> .  / 20
66 : Decls -> . Decl Decls  / 20

DATATYPE => shift 5
END => reduce 65
FUN => shift 4
LOCAL => shift 3
OPEN => shift 7
STRUCTURE => shift 6
TYPE => shift 9
VAL => shift 8
Decls => goto 83
Decl => goto 1

-----

State 49:

0 : Ident -> . IDENT  / 34
2 : Longid -> . Ident  / 35
3 : Longid -> . Ident DOT Longid  / 35
51 : Module -> . Longid  / 35
52 : Module -> . LPAREN Module RPAREN  / 35
52 : Module -> LPAREN . Module RPAREN  / 33
53 : Module -> . STRUCT Decls END  / 35
54 : Module -> . Module COLON Sg  / 35
55 : Module -> . Module SEAL Sg  / 35

IDENT => shift 13
LPAREN => shift 49
STRUCT => shift 48
Ident => goto 17
Longid => goto 47
Module => goto 84

-----

State 50:

61 : Decl -> STRUCTURE Ident COLON Sg . EQUAL Module  / 2

EQUAL => shift 85

-----

State 51:

3 : Longid -> Ident DOT Longid .  / 13

$ => reduce 3
IDENT => reduce 3
NUMBER => reduce 3
STRINGLIT => reduce 3
CHARLIT => reduce 3
LPAREN => reduce 3
RPAREN => reduce 3
ARROW => reduce 3
BAR => reduce 3
CARET => reduce 3
COLON => reduce 3
COMMA => reduce 3
DARROW => reduce 3
EQUAL => reduce 3
MINUS => reduce 3
NEG => reduce 3
PLUS => reduce 3
SEAL => reduce 3
TIMES => reduce 3
DATATYPE => reduce 3
END => reduce 3
FUN => reduce 3
IN => reduce 3
LET => reduce 3
LOCAL => reduce 3
OF => reduce 3
OPEN => reduce 3
STRUCTURE => reduce 3
TYPE => reduce 3
VAL => reduce 3

-----

State 52:

41 : Term -> Term . PLUS Term  / 27
42 : Term -> Term . MINUS Term  / 27
43 : Term -> Term . TIMES Term  / 27
44 : Term -> Term . CARET Term  / 27
56 : Decl -> VAL Pattern EQUAL Term .  / 2

$ => reduce 56
CARET => shift 86
MINUS => shift 87
PLUS => shift 88
TIMES => shift 89
DATATYPE => reduce 56
END => reduce 56
FUN => reduce 56
IN => reduce 56
LOCAL => reduce 56
OPEN => reduce 56
STRUCTURE => reduce 56
TYPE => reduce 56
VAL => reduce 56

-----

State 53:

0 : Ident -> . IDENT  / 36
1 : Number -> . NUMBER  / 37
2 : Longid -> . Ident  / 37
3 : Longid -> . Ident DOT Longid  / 37
29 : TermAtom -> . Longid  / 37
30 : TermAtom -> . LPAREN Term RPAREN  / 37
31 : TermAtom -> . LPAREN RPAREN  / 37
32 : TermAtom -> . LPAREN Terms RPAREN  / 37
33 : TermAtom -> . LET Decls IN Term END  / 37
34 : TermAtom -> . Number  / 37
35 : TermAtom -> . STRINGLIT  / 37
36 : TermAtom -> . CHARLIT  / 37
37 : TermAtom -> . NEG  / 37
38 : TermApp -> . TermAtom  / 37
39 : TermApp -> . TermApp TermAtom  / 37
40 : Term -> . TermApp  / 38
41 : Term -> . Term PLUS Term  / 38
42 : Term -> . Term MINUS Term  / 38
43 : Term -> . Term TIMES Term  / 38
44 : Term -> . Term CARET Term  / 38
45 : Term -> . FN Ident COLON Tp DARROW Term  / 38
46 : Term -> . CASE Term OF Match  / 38
46 : Term -> CASE . Term OF Match  / 39

IDENT => shift 13
NUMBER => shift 24
STRINGLIT => shift 56
CHARLIT => shift 55
LPAREN => shift 57
NEG => shift 54
CASE => shift 53
FN => shift 59
LET => shift 60
Ident => goto 17
Number => goto 62
Longid => goto 61
TermAtom => goto 58
Term => goto 90
TermApp => goto 63

-----

State 54:

37 : TermAtom -> NEG .  / 40

$ => reduce 37
IDENT => reduce 37
NUMBER => reduce 37
STRINGLIT => reduce 37
CHARLIT => reduce 37
LPAREN => reduce 37
RPAREN => reduce 37
BAR => reduce 37
CARET => reduce 37
COMMA => reduce 37
MINUS => reduce 37
NEG => reduce 37
PLUS => reduce 37
TIMES => reduce 37
DATATYPE => reduce 37
END => reduce 37
FUN => reduce 37
IN => reduce 37
LET => reduce 37
LOCAL => reduce 37
OF => reduce 37
OPEN => reduce 37
STRUCTURE => reduce 37
TYPE => reduce 37
VAL => reduce 37

-----

State 55:

36 : TermAtom -> CHARLIT .  / 40

$ => reduce 36
IDENT => reduce 36
NUMBER => reduce 36
STRINGLIT => reduce 36
CHARLIT => reduce 36
LPAREN => reduce 36
RPAREN => reduce 36
BAR => reduce 36
CARET => reduce 36
COMMA => reduce 36
MINUS => reduce 36
NEG => reduce 36
PLUS => reduce 36
TIMES => reduce 36
DATATYPE => reduce 36
END => reduce 36
FUN => reduce 36
IN => reduce 36
LET => reduce 36
LOCAL => reduce 36
OF => reduce 36
OPEN => reduce 36
STRUCTURE => reduce 36
TYPE => reduce 36
VAL => reduce 36

-----

State 56:

35 : TermAtom -> STRINGLIT .  / 40

$ => reduce 35
IDENT => reduce 35
NUMBER => reduce 35
STRINGLIT => reduce 35
CHARLIT => reduce 35
LPAREN => reduce 35
RPAREN => reduce 35
BAR => reduce 35
CARET => reduce 35
COMMA => reduce 35
MINUS => reduce 35
NEG => reduce 35
PLUS => reduce 35
TIMES => reduce 35
DATATYPE => reduce 35
END => reduce 35
FUN => reduce 35
IN => reduce 35
LET => reduce 35
LOCAL => reduce 35
OF => reduce 35
OPEN => reduce 35
STRUCTURE => reduce 35
TYPE => reduce 35
VAL => reduce 35

-----

State 57:

0 : Ident -> . IDENT  / 41
1 : Number -> . NUMBER  / 42
2 : Longid -> . Ident  / 42
3 : Longid -> . Ident DOT Longid  / 42
29 : TermAtom -> . Longid  / 42
30 : TermAtom -> . LPAREN Term RPAREN  / 42
30 : TermAtom -> LPAREN . Term RPAREN  / 40
31 : TermAtom -> . LPAREN RPAREN  / 42
31 : TermAtom -> LPAREN . RPAREN  / 40
32 : TermAtom -> . LPAREN Terms RPAREN  / 42
32 : TermAtom -> LPAREN . Terms RPAREN  / 40
33 : TermAtom -> . LET Decls IN Term END  / 42
34 : TermAtom -> . Number  / 42
35 : TermAtom -> . STRINGLIT  / 42
36 : TermAtom -> . CHARLIT  / 42
37 : TermAtom -> . NEG  / 42
38 : TermApp -> . TermAtom  / 42
39 : TermApp -> . TermApp TermAtom  / 42
40 : Term -> . TermApp  / 43
41 : Term -> . Term PLUS Term  / 43
42 : Term -> . Term MINUS Term  / 43
43 : Term -> . Term TIMES Term  / 43
44 : Term -> . Term CARET Term  / 43
45 : Term -> . FN Ident COLON Tp DARROW Term  / 43
46 : Term -> . CASE Term OF Match  / 43
47 : Terms -> . Term COMMA Term  / 17
48 : Terms -> . Term COMMA Terms  / 17

IDENT => shift 13
NUMBER => shift 24
STRINGLIT => shift 56
CHARLIT => shift 55
LPAREN => shift 57
RPAREN => shift 92
NEG => shift 54
CASE => shift 53
FN => shift 59
LET => shift 60
Ident => goto 17
Number => goto 62
Longid => goto 61
TermAtom => goto 58
Term => goto 91
Terms => goto 93
TermApp => goto 63

-----

State 58:

38 : TermApp -> TermAtom .  / 40

$ => reduce 38
IDENT => reduce 38
NUMBER => reduce 38
STRINGLIT => reduce 38
CHARLIT => reduce 38
LPAREN => reduce 38
RPAREN => reduce 38
BAR => reduce 38
CARET => reduce 38
COMMA => reduce 38
MINUS => reduce 38
NEG => reduce 38
PLUS => reduce 38
TIMES => reduce 38
DATATYPE => reduce 38
END => reduce 38
FUN => reduce 38
IN => reduce 38
LET => reduce 38
LOCAL => reduce 38
OF => reduce 38
OPEN => reduce 38
STRUCTURE => reduce 38
TYPE => reduce 38
VAL => reduce 38

-----

State 59:

0 : Ident -> . IDENT  / 21
45 : Term -> FN . Ident COLON Tp DARROW Term  / 39

IDENT => shift 13
Ident => goto 94

-----

State 60:

33 : TermAtom -> LET . Decls IN Term END  / 40
56 : Decl -> . VAL Pattern EQUAL Term  / 4
57 : Decl -> . FUN Ident LPAREN Ident COLON Tp RPAREN COLON Tp EQUAL Term  / 4
58 : Decl -> . TYPE Ident EQUAL Tp  / 4
59 : Decl -> . DATATYPE Ident EQUAL Datatype  / 4
60 : Decl -> . STRUCTURE Ident EQUAL Module  / 4
61 : Decl -> . STRUCTURE Ident COLON Sg EQUAL Module  / 4
62 : Decl -> . STRUCTURE Ident SEAL Sg EQUAL Module  / 4
63 : Decl -> . OPEN Longid  / 4
64 : Decl -> . LOCAL Decls IN Decls END  / 4
65 : Decls -> .  / 5
66 : Decls -> . Decl Decls  / 5

DATATYPE => shift 5
FUN => shift 4
IN => reduce 65
LOCAL => shift 3
OPEN => shift 7
STRUCTURE => shift 6
TYPE => shift 9
VAL => shift 8
Decls => goto 95
Decl => goto 1

-----

State 61:

29 : TermAtom -> Longid .  / 40

$ => reduce 29
IDENT => reduce 29
NUMBER => reduce 29
STRINGLIT => reduce 29
CHARLIT => reduce 29
LPAREN => reduce 29
RPAREN => reduce 29
BAR => reduce 29
CARET => reduce 29
COMMA => reduce 29
MINUS => reduce 29
NEG => reduce 29
PLUS => reduce 29
TIMES => reduce 29
DATATYPE => reduce 29
END => reduce 29
FUN => reduce 29
IN => reduce 29
LET => reduce 29
LOCAL => reduce 29
OF => reduce 29
OPEN => reduce 29
STRUCTURE => reduce 29
TYPE => reduce 29
VAL => reduce 29

-----

State 62:

34 : TermAtom -> Number .  / 40

$ => reduce 34
IDENT => reduce 34
NUMBER => reduce 34
STRINGLIT => reduce 34
CHARLIT => reduce 34
LPAREN => reduce 34
RPAREN => reduce 34
BAR => reduce 34
CARET => reduce 34
COMMA => reduce 34
MINUS => reduce 34
NEG => reduce 34
PLUS => reduce 34
TIMES => reduce 34
DATATYPE => reduce 34
END => reduce 34
FUN => reduce 34
IN => reduce 34
LET => reduce 34
LOCAL => reduce 34
OF => reduce 34
OPEN => reduce 34
STRUCTURE => reduce 34
TYPE => reduce 34
VAL => reduce 34

-----

State 63:

0 : Ident -> . IDENT  / 44
1 : Number -> . NUMBER  / 40
2 : Longid -> . Ident  / 40
3 : Longid -> . Ident DOT Longid  / 40
29 : TermAtom -> . Longid  / 40
30 : TermAtom -> . LPAREN Term RPAREN  / 40
31 : TermAtom -> . LPAREN RPAREN  / 40
32 : TermAtom -> . LPAREN Terms RPAREN  / 40
33 : TermAtom -> . LET Decls IN Term END  / 40
34 : TermAtom -> . Number  / 40
35 : TermAtom -> . STRINGLIT  / 40
36 : TermAtom -> . CHARLIT  / 40
37 : TermAtom -> . NEG  / 40
39 : TermApp -> TermApp . TermAtom  / 40
40 : Term -> TermApp .  / 39

$ => reduce 40
IDENT => shift 13
NUMBER => shift 24
STRINGLIT => shift 56
CHARLIT => shift 55
LPAREN => shift 57
RPAREN => reduce 40
BAR => reduce 40
CARET => reduce 40
COMMA => reduce 40
MINUS => reduce 40
NEG => shift 54
PLUS => reduce 40
TIMES => reduce 40
DATATYPE => reduce 40
END => reduce 40
FUN => reduce 40
IN => reduce 40
LET => shift 60
LOCAL => reduce 40
OF => reduce 40
OPEN => reduce 40
STRUCTURE => reduce 40
TYPE => reduce 40
VAL => reduce 40
Ident => goto 17
Number => goto 62
Longid => goto 61
TermAtom => goto 96

-----

State 64:

0 : Ident -> . IDENT  / 15
1 : Number -> . NUMBER  / 16
2 : Longid -> . Ident  / 11
3 : Longid -> . Ident DOT Longid  / 11
20 : PatternAtom -> . Ident  / 16
21 : PatternAtom -> . LPAREN Pattern RPAREN  / 16
22 : PatternAtom -> . LPAREN RPAREN  / 16
23 : PatternAtom -> . LPAREN Patterns RPAREN  / 16
24 : PatternAtom -> . Number  / 16
25 : Pattern -> . PatternAtom  / 16
26 : Pattern -> . Longid PatternAtom  / 16
27 : Patterns -> . Pattern COMMA Pattern  / 17
27 : Patterns -> Pattern COMMA . Pattern  / 17
28 : Patterns -> . Pattern COMMA Patterns  / 17
28 : Patterns -> Pattern COMMA . Patterns  / 17

IDENT => shift 13
NUMBER => shift 24
LPAREN => shift 23
Ident => goto 22
Number => goto 21
Longid => goto 20
PatternAtom => goto 19
Pattern => goto 98
Patterns => goto 97

-----

State 65:

21 : PatternAtom -> LPAREN Pattern RPAREN .  / 14

RPAREN => reduce 21
COMMA => reduce 21
DARROW => reduce 21
EQUAL => reduce 21

-----

State 66:

23 : PatternAtom -> LPAREN Patterns RPAREN .  / 14

RPAREN => reduce 23
COMMA => reduce 23
DARROW => reduce 23
EQUAL => reduce 23

-----

State 67:

9 : Tp -> Tp . ARROW Tp  / 30
58 : Decl -> TYPE Ident EQUAL Tp .  / 2

$ => reduce 58
ARROW => shift 99
DATATYPE => reduce 58
END => reduce 58
FUN => reduce 58
IN => reduce 58
LOCAL => reduce 58
OPEN => reduce 58
STRUCTURE => reduce 58
TYPE => reduce 58
VAL => reduce 58

-----

State 68:

8 : Tp -> TpProd .  / 45

$ => reduce 8
RPAREN => reduce 8
ARROW => reduce 8
BAR => reduce 8
DARROW => reduce 8
EQUAL => reduce 8
DATATYPE => reduce 8
END => reduce 8
FUN => reduce 8
IN => reduce 8
LOCAL => reduce 8
OPEN => reduce 8
STRUCTURE => reduce 8
TYPE => reduce 8
VAL => reduce 8

-----

State 69:

5 : TpProd -> TpAtom . TIMES TpAtom  / 45
6 : TpProd -> TpAtom . TIMES TpProd  / 45
7 : Tp -> TpAtom .  / 45

$ => reduce 7
RPAREN => reduce 7
ARROW => reduce 7
BAR => reduce 7
DARROW => reduce 7
EQUAL => reduce 7
TIMES => shift 100
DATATYPE => reduce 7
END => reduce 7
FUN => reduce 7
IN => reduce 7
LOCAL => reduce 7
OPEN => reduce 7
STRUCTURE => reduce 7
TYPE => reduce 7
VAL => reduce 7

-----

State 70:

4 : TpAtom -> Longid .  / 46

$ => reduce 4
RPAREN => reduce 4
ARROW => reduce 4
BAR => reduce 4
DARROW => reduce 4
EQUAL => reduce 4
TIMES => reduce 4
DATATYPE => reduce 4
END => reduce 4
FUN => reduce 4
IN => reduce 4
LOCAL => reduce 4
OPEN => reduce 4
STRUCTURE => reduce 4
TYPE => reduce 4
VAL => reduce 4

-----

State 71:

64 : Decl -> LOCAL Decls IN Decls END .  / 2

$ => reduce 64
DATATYPE => reduce 64
END => reduce 64
FUN => reduce 64
IN => reduce 64
LOCAL => reduce 64
OPEN => reduce 64
STRUCTURE => reduce 64
TYPE => reduce 64
VAL => reduce 64

-----

State 72:

0 : Ident -> . IDENT  / 47
2 : Longid -> . Ident  / 48
3 : Longid -> . Ident DOT Longid  / 48
4 : TpAtom -> . Longid  / 48
5 : TpProd -> . TpAtom TIMES TpAtom  / 49
6 : TpProd -> . TpAtom TIMES TpProd  / 49
7 : Tp -> . TpAtom  / 49
8 : Tp -> . TpProd  / 49
9 : Tp -> . Tp ARROW Tp  / 49
57 : Decl -> FUN Ident LPAREN Ident COLON . Tp RPAREN COLON Tp EQUAL Term  / 2

IDENT => shift 13
Ident => goto 17
Longid => goto 70
TpAtom => goto 69
TpProd => goto 68
Tp => goto 101

-----

State 73:

0 : Ident -> . IDENT  / 50
2 : Longid -> . Ident  / 51
3 : Longid -> . Ident DOT Longid  / 51
4 : TpAtom -> . Longid  / 51
5 : TpProd -> . TpAtom TIMES TpAtom  / 52
6 : TpProd -> . TpAtom TIMES TpProd  / 52
7 : Tp -> . TpAtom  / 52
8 : Tp -> . TpProd  / 52
9 : Tp -> . Tp ARROW Tp  / 52
10 : Datatype -> Ident OF . Tp  / 2
11 : Datatype -> Ident OF . Tp BAR Datatype  / 2

IDENT => shift 13
Ident => goto 17
Longid => goto 70
TpAtom => goto 69
TpProd => goto 68
Tp => goto 102

-----

State 74:

0 : Ident -> . IDENT  / 23
2 : Longid -> . Ident  / 24
3 : Longid -> . Ident DOT Longid  / 24
51 : Module -> . Longid  / 24
52 : Module -> . LPAREN Module RPAREN  / 24
53 : Module -> . STRUCT Decls END  / 24
54 : Module -> . Module COLON Sg  / 24
55 : Module -> . Module SEAL Sg  / 24
62 : Decl -> STRUCTURE Ident SEAL Sg EQUAL . Module  / 2

IDENT => shift 13
LPAREN => shift 49
STRUCT => shift 48
Ident => goto 17
Longid => goto 47
Module => goto 103

-----

State 75:

19 : Sg -> SIG Specs . END  / 32

END => shift 104

-----

State 76:

12 : Spec -> . VAL Ident COLON Tp  / 31
13 : Spec -> . TYPE Ident  / 31
14 : Spec -> . TYPE Ident EQUAL Tp  / 31
15 : Spec -> . STRUCTURE Ident COLON Sg  / 31
16 : Spec -> . DATATYPE Ident EQUAL Datatype  / 31
17 : Specs -> .  / 20
18 : Specs -> . Spec Specs  / 20
18 : Specs -> Spec . Specs  / 20

DATATYPE => shift 78
END => reduce 17
STRUCTURE => shift 80
TYPE => shift 79
VAL => shift 77
Spec => goto 76
Specs => goto 105

-----

State 77:

0 : Ident -> . IDENT  / 21
12 : Spec -> VAL . Ident COLON Tp  / 31

IDENT => shift 13
Ident => goto 106

-----

State 78:

0 : Ident -> . IDENT  / 7
16 : Spec -> DATATYPE . Ident EQUAL Datatype  / 31

IDENT => shift 13
Ident => goto 107

-----

State 79:

0 : Ident -> . IDENT  / 53
13 : Spec -> TYPE . Ident  / 31
14 : Spec -> TYPE . Ident EQUAL Tp  / 31

IDENT => shift 13
Ident => goto 108

-----

State 80:

0 : Ident -> . IDENT  / 21
15 : Spec -> STRUCTURE . Ident COLON Sg  / 31

IDENT => shift 13
Ident => goto 109

-----

State 81:

19 : Sg -> . SIG Specs END  / 33
55 : Module -> Module SEAL . Sg  / 33

SIG => shift 45
Sg => goto 110

-----

State 82:

19 : Sg -> . SIG Specs END  / 33
54 : Module -> Module COLON . Sg  / 33

SIG => shift 45
Sg => goto 111

-----

State 83:

53 : Module -> STRUCT Decls . END  / 33

END => shift 112

-----

State 84:

52 : Module -> LPAREN Module . RPAREN  / 33
54 : Module -> Module . COLON Sg  / 35
55 : Module -> Module . SEAL Sg  / 35

RPAREN => shift 113
COLON => shift 82
SEAL => shift 81

-----

State 85:

0 : Ident -> . IDENT  / 23
2 : Longid -> . Ident  / 24
3 : Longid -> . Ident DOT Longid  / 24
51 : Module -> . Longid  / 24
52 : Module -> . LPAREN Module RPAREN  / 24
53 : Module -> . STRUCT Decls END  / 24
54 : Module -> . Module COLON Sg  / 24
55 : Module -> . Module SEAL Sg  / 24
61 : Decl -> STRUCTURE Ident COLON Sg EQUAL . Module  / 2

IDENT => shift 13
LPAREN => shift 49
STRUCT => shift 48
Ident => goto 17
Longid => goto 47
Module => goto 114

-----

State 86:

0 : Ident -> . IDENT  / 44
1 : Number -> . NUMBER  / 40
2 : Longid -> . Ident  / 40
3 : Longid -> . Ident DOT Longid  / 40
29 : TermAtom -> . Longid  / 40
30 : TermAtom -> . LPAREN Term RPAREN  / 40
31 : TermAtom -> . LPAREN RPAREN  / 40
32 : TermAtom -> . LPAREN Terms RPAREN  / 40
33 : TermAtom -> . LET Decls IN Term END  / 40
34 : TermAtom -> . Number  / 40
35 : TermAtom -> . STRINGLIT  / 40
36 : TermAtom -> . CHARLIT  / 40
37 : TermAtom -> . NEG  / 40
38 : TermApp -> . TermAtom  / 40
39 : TermApp -> . TermApp TermAtom  / 40
40 : Term -> . TermApp  / 39
41 : Term -> . Term PLUS Term  / 39
42 : Term -> . Term MINUS Term  / 39
43 : Term -> . Term TIMES Term  / 39
44 : Term -> . Term CARET Term  / 39
44 : Term -> Term CARET . Term  / 39
45 : Term -> . FN Ident COLON Tp DARROW Term  / 39
46 : Term -> . CASE Term OF Match  / 39

IDENT => shift 13
NUMBER => shift 24
STRINGLIT => shift 56
CHARLIT => shift 55
LPAREN => shift 57
NEG => shift 54
CASE => shift 53
FN => shift 59
LET => shift 60
Ident => goto 17
Number => goto 62
Longid => goto 61
TermAtom => goto 58
Term => goto 115
TermApp => goto 63

-----

State 87:

0 : Ident -> . IDENT  / 44
1 : Number -> . NUMBER  / 40
2 : Longid -> . Ident  / 40
3 : Longid -> . Ident DOT Longid  / 40
29 : TermAtom -> . Longid  / 40
30 : TermAtom -> . LPAREN Term RPAREN  / 40
31 : TermAtom -> . LPAREN RPAREN  / 40
32 : TermAtom -> . LPAREN Terms RPAREN  / 40
33 : TermAtom -> . LET Decls IN Term END  / 40
34 : TermAtom -> . Number  / 40
35 : TermAtom -> . STRINGLIT  / 40
36 : TermAtom -> . CHARLIT  / 40
37 : TermAtom -> . NEG  / 40
38 : TermApp -> . TermAtom  / 40
39 : TermApp -> . TermApp TermAtom  / 40
40 : Term -> . TermApp  / 39
41 : Term -> . Term PLUS Term  / 39
42 : Term -> . Term MINUS Term  / 39
42 : Term -> Term MINUS . Term  / 39
43 : Term -> . Term TIMES Term  / 39
44 : Term -> . Term CARET Term  / 39
45 : Term -> . FN Ident COLON Tp DARROW Term  / 39
46 : Term -> . CASE Term OF Match  / 39

IDENT => shift 13
NUMBER => shift 24
STRINGLIT => shift 56
CHARLIT => shift 55
LPAREN => shift 57
NEG => shift 54
CASE => shift 53
FN => shift 59
LET => shift 60
Ident => goto 17
Number => goto 62
Longid => goto 61
TermAtom => goto 58
Term => goto 116
TermApp => goto 63

-----

State 88:

0 : Ident -> . IDENT  / 44
1 : Number -> . NUMBER  / 40
2 : Longid -> . Ident  / 40
3 : Longid -> . Ident DOT Longid  / 40
29 : TermAtom -> . Longid  / 40
30 : TermAtom -> . LPAREN Term RPAREN  / 40
31 : TermAtom -> . LPAREN RPAREN  / 40
32 : TermAtom -> . LPAREN Terms RPAREN  / 40
33 : TermAtom -> . LET Decls IN Term END  / 40
34 : TermAtom -> . Number  / 40
35 : TermAtom -> . STRINGLIT  / 40
36 : TermAtom -> . CHARLIT  / 40
37 : TermAtom -> . NEG  / 40
38 : TermApp -> . TermAtom  / 40
39 : TermApp -> . TermApp TermAtom  / 40
40 : Term -> . TermApp  / 39
41 : Term -> . Term PLUS Term  / 39
41 : Term -> Term PLUS . Term  / 39
42 : Term -> . Term MINUS Term  / 39
43 : Term -> . Term TIMES Term  / 39
44 : Term -> . Term CARET Term  / 39
45 : Term -> . FN Ident COLON Tp DARROW Term  / 39
46 : Term -> . CASE Term OF Match  / 39

IDENT => shift 13
NUMBER => shift 24
STRINGLIT => shift 56
CHARLIT => shift 55
LPAREN => shift 57
NEG => shift 54
CASE => shift 53
FN => shift 59
LET => shift 60
Ident => goto 17
Number => goto 62
Longid => goto 61
TermAtom => goto 58
Term => goto 117
TermApp => goto 63

-----

State 89:

0 : Ident -> . IDENT  / 44
1 : Number -> . NUMBER  / 40
2 : Longid -> . Ident  / 40
3 : Longid -> . Ident DOT Longid  / 40
29 : TermAtom -> . Longid  / 40
30 : TermAtom -> . LPAREN Term RPAREN  / 40
31 : TermAtom -> . LPAREN RPAREN  / 40
32 : TermAtom -> . LPAREN Terms RPAREN  / 40
33 : TermAtom -> . LET Decls IN Term END  / 40
34 : TermAtom -> . Number  / 40
35 : TermAtom -> . STRINGLIT  / 40
36 : TermAtom -> . CHARLIT  / 40
37 : TermAtom -> . NEG  / 40
38 : TermApp -> . TermAtom  / 40
39 : TermApp -> . TermApp TermAtom  / 40
40 : Term -> . TermApp  / 39
41 : Term -> . Term PLUS Term  / 39
42 : Term -> . Term MINUS Term  / 39
43 : Term -> . Term TIMES Term  / 39
43 : Term -> Term TIMES . Term  / 39
44 : Term -> . Term CARET Term  / 39
45 : Term -> . FN Ident COLON Tp DARROW Term  / 39
46 : Term -> . CASE Term OF Match  / 39

IDENT => shift 13
NUMBER => shift 24
STRINGLIT => shift 56
CHARLIT => shift 55
LPAREN => shift 57
NEG => shift 54
CASE => shift 53
FN => shift 59
LET => shift 60
Ident => goto 17
Number => goto 62
Longid => goto 61
TermAtom => goto 58
Term => goto 118
TermApp => goto 63

-----

State 90:

41 : Term -> Term . PLUS Term  / 38
42 : Term -> Term . MINUS Term  / 38
43 : Term -> Term . TIMES Term  / 38
44 : Term -> Term . CARET Term  / 38
46 : Term -> CASE Term . OF Match  / 39

CARET => shift 86
MINUS => shift 87
PLUS => shift 88
TIMES => shift 89
OF => shift 119

-----

State 91:

30 : TermAtom -> LPAREN Term . RPAREN  / 40
41 : Term -> Term . PLUS Term  / 43
42 : Term -> Term . MINUS Term  / 43
43 : Term -> Term . TIMES Term  / 43
44 : Term -> Term . CARET Term  / 43
47 : Terms -> Term . COMMA Term  / 17
48 : Terms -> Term . COMMA Terms  / 17

RPAREN => shift 121
CARET => shift 86
COMMA => shift 120
MINUS => shift 87
PLUS => shift 88
TIMES => shift 89

-----

State 92:

31 : TermAtom -> LPAREN RPAREN .  / 40

$ => reduce 31
IDENT => reduce 31
NUMBER => reduce 31
STRINGLIT => reduce 31
CHARLIT => reduce 31
LPAREN => reduce 31
RPAREN => reduce 31
BAR => reduce 31
CARET => reduce 31
COMMA => reduce 31
MINUS => reduce 31
NEG => reduce 31
PLUS => reduce 31
TIMES => reduce 31
DATATYPE => reduce 31
END => reduce 31
FUN => reduce 31
IN => reduce 31
LET => reduce 31
LOCAL => reduce 31
OF => reduce 31
OPEN => reduce 31
STRUCTURE => reduce 31
TYPE => reduce 31
VAL => reduce 31

-----

State 93:

32 : TermAtom -> LPAREN Terms . RPAREN  / 40

RPAREN => shift 122

-----

State 94:

45 : Term -> FN Ident . COLON Tp DARROW Term  / 39

COLON => shift 123

-----

State 95:

33 : TermAtom -> LET Decls . IN Term END  / 40

IN => shift 124

-----

State 96:

39 : TermApp -> TermApp TermAtom .  / 40

$ => reduce 39
IDENT => reduce 39
NUMBER => reduce 39
STRINGLIT => reduce 39
CHARLIT => reduce 39
LPAREN => reduce 39
RPAREN => reduce 39
BAR => reduce 39
CARET => reduce 39
COMMA => reduce 39
MINUS => reduce 39
NEG => reduce 39
PLUS => reduce 39
TIMES => reduce 39
DATATYPE => reduce 39
END => reduce 39
FUN => reduce 39
IN => reduce 39
LET => reduce 39
LOCAL => reduce 39
OF => reduce 39
OPEN => reduce 39
STRUCTURE => reduce 39
TYPE => reduce 39
VAL => reduce 39

-----

State 97:

28 : Patterns -> Pattern COMMA Patterns .  / 17

RPAREN => reduce 28

-----

State 98:

27 : Patterns -> Pattern . COMMA Pattern  / 17
27 : Patterns -> Pattern COMMA Pattern .  / 17
28 : Patterns -> Pattern . COMMA Patterns  / 17

RPAREN => reduce 27
COMMA => shift 64

-----

State 99:

0 : Ident -> . IDENT  / 54
2 : Longid -> . Ident  / 46
3 : Longid -> . Ident DOT Longid  / 46
4 : TpAtom -> . Longid  / 46
5 : TpProd -> . TpAtom TIMES TpAtom  / 45
6 : TpProd -> . TpAtom TIMES TpProd  / 45
7 : Tp -> . TpAtom  / 45
8 : Tp -> . TpProd  / 45
9 : Tp -> . Tp ARROW Tp  / 45
9 : Tp -> Tp ARROW . Tp  / 45

IDENT => shift 13
Ident => goto 17
Longid => goto 70
TpAtom => goto 69
TpProd => goto 68
Tp => goto 125

-----

State 100:

0 : Ident -> . IDENT  / 54
2 : Longid -> . Ident  / 46
3 : Longid -> . Ident DOT Longid  / 46
4 : TpAtom -> . Longid  / 46
5 : TpProd -> . TpAtom TIMES TpAtom  / 45
5 : TpProd -> TpAtom TIMES . TpAtom  / 45
6 : TpProd -> . TpAtom TIMES TpProd  / 45
6 : TpProd -> TpAtom TIMES . TpProd  / 45

IDENT => shift 13
Ident => goto 17
Longid => goto 70
TpAtom => goto 127
TpProd => goto 126

-----

State 101:

9 : Tp -> Tp . ARROW Tp  / 49
57 : Decl -> FUN Ident LPAREN Ident COLON Tp . RPAREN COLON Tp EQUAL Term  / 2

RPAREN => shift 128
ARROW => shift 99

-----

State 102:

9 : Tp -> Tp . ARROW Tp  / 52
10 : Datatype -> Ident OF Tp .  / 2
11 : Datatype -> Ident OF Tp . BAR Datatype  / 2

$ => reduce 10
ARROW => shift 99
BAR => shift 129
DATATYPE => reduce 10
END => reduce 10
FUN => reduce 10
IN => reduce 10
LOCAL => reduce 10
OPEN => reduce 10
STRUCTURE => reduce 10
TYPE => reduce 10
VAL => reduce 10

-----

State 103:

54 : Module -> Module . COLON Sg  / 24
55 : Module -> Module . SEAL Sg  / 24
62 : Decl -> STRUCTURE Ident SEAL Sg EQUAL Module .  / 2

$ => reduce 62
COLON => shift 82
SEAL => shift 81
DATATYPE => reduce 62
END => reduce 62
FUN => reduce 62
IN => reduce 62
LOCAL => reduce 62
OPEN => reduce 62
STRUCTURE => reduce 62
TYPE => reduce 62
VAL => reduce 62

-----

State 104:

19 : Sg -> SIG Specs END .  / 32

$ => reduce 19
RPAREN => reduce 19
COLON => reduce 19
EQUAL => reduce 19
SEAL => reduce 19
DATATYPE => reduce 19
END => reduce 19
FUN => reduce 19
IN => reduce 19
LOCAL => reduce 19
OPEN => reduce 19
STRUCTURE => reduce 19
TYPE => reduce 19
VAL => reduce 19

-----

State 105:

18 : Specs -> Spec Specs .  / 20

END => reduce 18

-----

State 106:

12 : Spec -> VAL Ident . COLON Tp  / 31

COLON => shift 130

-----

State 107:

16 : Spec -> DATATYPE Ident . EQUAL Datatype  / 31

EQUAL => shift 131

-----

State 108:

13 : Spec -> TYPE Ident .  / 31
14 : Spec -> TYPE Ident . EQUAL Tp  / 31

EQUAL => shift 132
DATATYPE => reduce 13
END => reduce 13
STRUCTURE => reduce 13
TYPE => reduce 13
VAL => reduce 13

-----

State 109:

15 : Spec -> STRUCTURE Ident . COLON Sg  / 31

COLON => shift 133

-----

State 110:

55 : Module -> Module SEAL Sg .  / 33

$ => reduce 55
RPAREN => reduce 55
COLON => reduce 55
SEAL => reduce 55
DATATYPE => reduce 55
END => reduce 55
FUN => reduce 55
IN => reduce 55
LOCAL => reduce 55
OPEN => reduce 55
STRUCTURE => reduce 55
TYPE => reduce 55
VAL => reduce 55

-----

State 111:

54 : Module -> Module COLON Sg .  / 33

$ => reduce 54
RPAREN => reduce 54
COLON => reduce 54
SEAL => reduce 54
DATATYPE => reduce 54
END => reduce 54
FUN => reduce 54
IN => reduce 54
LOCAL => reduce 54
OPEN => reduce 54
STRUCTURE => reduce 54
TYPE => reduce 54
VAL => reduce 54

-----

State 112:

53 : Module -> STRUCT Decls END .  / 33

$ => reduce 53
RPAREN => reduce 53
COLON => reduce 53
SEAL => reduce 53
DATATYPE => reduce 53
END => reduce 53
FUN => reduce 53
IN => reduce 53
LOCAL => reduce 53
OPEN => reduce 53
STRUCTURE => reduce 53
TYPE => reduce 53
VAL => reduce 53

-----

State 113:

52 : Module -> LPAREN Module RPAREN .  / 33

$ => reduce 52
RPAREN => reduce 52
COLON => reduce 52
SEAL => reduce 52
DATATYPE => reduce 52
END => reduce 52
FUN => reduce 52
IN => reduce 52
LOCAL => reduce 52
OPEN => reduce 52
STRUCTURE => reduce 52
TYPE => reduce 52
VAL => reduce 52

-----

State 114:

54 : Module -> Module . COLON Sg  / 24
55 : Module -> Module . SEAL Sg  / 24
61 : Decl -> STRUCTURE Ident COLON Sg EQUAL Module .  / 2

$ => reduce 61
COLON => shift 82
SEAL => shift 81
DATATYPE => reduce 61
END => reduce 61
FUN => reduce 61
IN => reduce 61
LOCAL => reduce 61
OPEN => reduce 61
STRUCTURE => reduce 61
TYPE => reduce 61
VAL => reduce 61

-----

State 115:

41 : Term -> Term . PLUS Term  / 39
42 : Term -> Term . MINUS Term  / 39
43 : Term -> Term . TIMES Term  / 39
44 : Term -> Term . CARET Term  / 39
44 : Term -> Term CARET Term .  / 39

$ => reduce 44
RPAREN => reduce 44
BAR => reduce 44
CARET => reduce 44, shift 86  PRECEDENCE
COMMA => reduce 44
MINUS => reduce 44, shift 87  PRECEDENCE
PLUS => reduce 44, shift 88  PRECEDENCE
TIMES => shift 89, reduce 44  PRECEDENCE
DATATYPE => reduce 44
END => reduce 44
FUN => reduce 44
IN => reduce 44
LOCAL => reduce 44
OF => reduce 44
OPEN => reduce 44
STRUCTURE => reduce 44
TYPE => reduce 44
VAL => reduce 44

-----

State 116:

41 : Term -> Term . PLUS Term  / 39
42 : Term -> Term . MINUS Term  / 39
42 : Term -> Term MINUS Term .  / 39
43 : Term -> Term . TIMES Term  / 39
44 : Term -> Term . CARET Term  / 39

$ => reduce 42
RPAREN => reduce 42
BAR => reduce 42
CARET => reduce 42, shift 86  PRECEDENCE
COMMA => reduce 42
MINUS => reduce 42, shift 87  PRECEDENCE
PLUS => reduce 42, shift 88  PRECEDENCE
TIMES => shift 89, reduce 42  PRECEDENCE
DATATYPE => reduce 42
END => reduce 42
FUN => reduce 42
IN => reduce 42
LOCAL => reduce 42
OF => reduce 42
OPEN => reduce 42
STRUCTURE => reduce 42
TYPE => reduce 42
VAL => reduce 42

-----

State 117:

41 : Term -> Term . PLUS Term  / 39
41 : Term -> Term PLUS Term .  / 39
42 : Term -> Term . MINUS Term  / 39
43 : Term -> Term . TIMES Term  / 39
44 : Term -> Term . CARET Term  / 39

$ => reduce 41
RPAREN => reduce 41
BAR => reduce 41
CARET => reduce 41, shift 86  PRECEDENCE
COMMA => reduce 41
MINUS => reduce 41, shift 87  PRECEDENCE
PLUS => reduce 41, shift 88  PRECEDENCE
TIMES => shift 89, reduce 41  PRECEDENCE
DATATYPE => reduce 41
END => reduce 41
FUN => reduce 41
IN => reduce 41
LOCAL => reduce 41
OF => reduce 41
OPEN => reduce 41
STRUCTURE => reduce 41
TYPE => reduce 41
VAL => reduce 41

-----

State 118:

41 : Term -> Term . PLUS Term  / 39
42 : Term -> Term . MINUS Term  / 39
43 : Term -> Term . TIMES Term  / 39
43 : Term -> Term TIMES Term .  / 39
44 : Term -> Term . CARET Term  / 39

$ => reduce 43
RPAREN => reduce 43
BAR => reduce 43
CARET => reduce 43, shift 86  PRECEDENCE
COMMA => reduce 43
MINUS => reduce 43, shift 87  PRECEDENCE
PLUS => reduce 43, shift 88  PRECEDENCE
TIMES => reduce 43, shift 89  PRECEDENCE
DATATYPE => reduce 43
END => reduce 43
FUN => reduce 43
IN => reduce 43
LOCAL => reduce 43
OF => reduce 43
OPEN => reduce 43
STRUCTURE => reduce 43
TYPE => reduce 43
VAL => reduce 43

-----

State 119:

0 : Ident -> . IDENT  / 55
1 : Number -> . NUMBER  / 56
2 : Longid -> . Ident  / 11
3 : Longid -> . Ident DOT Longid  / 11
20 : PatternAtom -> . Ident  / 56
21 : PatternAtom -> . LPAREN Pattern RPAREN  / 56
22 : PatternAtom -> . LPAREN RPAREN  / 56
23 : PatternAtom -> . LPAREN Patterns RPAREN  / 56
24 : PatternAtom -> . Number  / 56
25 : Pattern -> . PatternAtom  / 56
26 : Pattern -> . Longid PatternAtom  / 56
46 : Term -> CASE Term OF . Match  / 39
49 : Match -> . Pattern DARROW Term  / 39
50 : Match -> . Pattern DARROW Term BAR Match  / 39

IDENT => shift 13
NUMBER => shift 24
LPAREN => shift 23
Ident => goto 22
Number => goto 21
Longid => goto 20
PatternAtom => goto 19
Pattern => goto 134
Match => goto 135

-----

State 120:

0 : Ident -> . IDENT  / 41
1 : Number -> . NUMBER  / 42
2 : Longid -> . Ident  / 42
3 : Longid -> . Ident DOT Longid  / 42
29 : TermAtom -> . Longid  / 42
30 : TermAtom -> . LPAREN Term RPAREN  / 42
31 : TermAtom -> . LPAREN RPAREN  / 42
32 : TermAtom -> . LPAREN Terms RPAREN  / 42
33 : TermAtom -> . LET Decls IN Term END  / 42
34 : TermAtom -> . Number  / 42
35 : TermAtom -> . STRINGLIT  / 42
36 : TermAtom -> . CHARLIT  / 42
37 : TermAtom -> . NEG  / 42
38 : TermApp -> . TermAtom  / 42
39 : TermApp -> . TermApp TermAtom  / 42
40 : Term -> . TermApp  / 43
41 : Term -> . Term PLUS Term  / 43
42 : Term -> . Term MINUS Term  / 43
43 : Term -> . Term TIMES Term  / 43
44 : Term -> . Term CARET Term  / 43
45 : Term -> . FN Ident COLON Tp DARROW Term  / 43
46 : Term -> . CASE Term OF Match  / 43
47 : Terms -> . Term COMMA Term  / 17
47 : Terms -> Term COMMA . Term  / 17
48 : Terms -> . Term COMMA Terms  / 17
48 : Terms -> Term COMMA . Terms  / 17

IDENT => shift 13
NUMBER => shift 24
STRINGLIT => shift 56
CHARLIT => shift 55
LPAREN => shift 57
NEG => shift 54
CASE => shift 53
FN => shift 59
LET => shift 60
Ident => goto 17
Number => goto 62
Longid => goto 61
TermAtom => goto 58
Term => goto 137
Terms => goto 136
TermApp => goto 63

-----

State 121:

30 : TermAtom -> LPAREN Term RPAREN .  / 40

$ => reduce 30
IDENT => reduce 30
NUMBER => reduce 30
STRINGLIT => reduce 30
CHARLIT => reduce 30
LPAREN => reduce 30
RPAREN => reduce 30
BAR => reduce 30
CARET => reduce 30
COMMA => reduce 30
MINUS => reduce 30
NEG => reduce 30
PLUS => reduce 30
TIMES => reduce 30
DATATYPE => reduce 30
END => reduce 30
FUN => reduce 30
IN => reduce 30
LET => reduce 30
LOCAL => reduce 30
OF => reduce 30
OPEN => reduce 30
STRUCTURE => reduce 30
TYPE => reduce 30
VAL => reduce 30

-----

State 122:

32 : TermAtom -> LPAREN Terms RPAREN .  / 40

$ => reduce 32
IDENT => reduce 32
NUMBER => reduce 32
STRINGLIT => reduce 32
CHARLIT => reduce 32
LPAREN => reduce 32
RPAREN => reduce 32
BAR => reduce 32
CARET => reduce 32
COMMA => reduce 32
MINUS => reduce 32
NEG => reduce 32
PLUS => reduce 32
TIMES => reduce 32
DATATYPE => reduce 32
END => reduce 32
FUN => reduce 32
IN => reduce 32
LET => reduce 32
LOCAL => reduce 32
OF => reduce 32
OPEN => reduce 32
STRUCTURE => reduce 32
TYPE => reduce 32
VAL => reduce 32

-----

State 123:

0 : Ident -> . IDENT  / 57
2 : Longid -> . Ident  / 58
3 : Longid -> . Ident DOT Longid  / 58
4 : TpAtom -> . Longid  / 58
5 : TpProd -> . TpAtom TIMES TpAtom  / 59
6 : TpProd -> . TpAtom TIMES TpProd  / 59
7 : Tp -> . TpAtom  / 59
8 : Tp -> . TpProd  / 59
9 : Tp -> . Tp ARROW Tp  / 59
45 : Term -> FN Ident COLON . Tp DARROW Term  / 39

IDENT => shift 13
Ident => goto 17
Longid => goto 70
TpAtom => goto 69
TpProd => goto 68
Tp => goto 138

-----

State 124:

0 : Ident -> . IDENT  / 60
1 : Number -> . NUMBER  / 61
2 : Longid -> . Ident  / 61
3 : Longid -> . Ident DOT Longid  / 61
29 : TermAtom -> . Longid  / 61
30 : TermAtom -> . LPAREN Term RPAREN  / 61
31 : TermAtom -> . LPAREN RPAREN  / 61
32 : TermAtom -> . LPAREN Terms RPAREN  / 61
33 : TermAtom -> . LET Decls IN Term END  / 61
33 : TermAtom -> LET Decls IN . Term END  / 40
34 : TermAtom -> . Number  / 61
35 : TermAtom -> . STRINGLIT  / 61
36 : TermAtom -> . CHARLIT  / 61
37 : TermAtom -> . NEG  / 61
38 : TermApp -> . TermAtom  / 61
39 : TermApp -> . TermApp TermAtom  / 61
40 : Term -> . TermApp  / 62
41 : Term -> . Term PLUS Term  / 62
42 : Term -> . Term MINUS Term  / 62
43 : Term -> . Term TIMES Term  / 62
44 : Term -> . Term CARET Term  / 62
45 : Term -> . FN Ident COLON Tp DARROW Term  / 62
46 : Term -> . CASE Term OF Match  / 62

IDENT => shift 13
NUMBER => shift 24
STRINGLIT => shift 56
CHARLIT => shift 55
LPAREN => shift 57
NEG => shift 54
CASE => shift 53
FN => shift 59
LET => shift 60
Ident => goto 17
Number => goto 62
Longid => goto 61
TermAtom => goto 58
Term => goto 139
TermApp => goto 63

-----

State 125:

9 : Tp -> Tp . ARROW Tp  / 45
9 : Tp -> Tp ARROW Tp .  / 45

$ => reduce 9
RPAREN => reduce 9
ARROW => shift 99, reduce 9  PRECEDENCE
BAR => reduce 9
DARROW => reduce 9
EQUAL => reduce 9
DATATYPE => reduce 9
END => reduce 9
FUN => reduce 9
IN => reduce 9
LOCAL => reduce 9
OPEN => reduce 9
STRUCTURE => reduce 9
TYPE => reduce 9
VAL => reduce 9

-----

State 126:

6 : TpProd -> TpAtom TIMES TpProd .  / 45

$ => reduce 6
RPAREN => reduce 6
ARROW => reduce 6
BAR => reduce 6
DARROW => reduce 6
EQUAL => reduce 6
DATATYPE => reduce 6
END => reduce 6
FUN => reduce 6
IN => reduce 6
LOCAL => reduce 6
OPEN => reduce 6
STRUCTURE => reduce 6
TYPE => reduce 6
VAL => reduce 6

-----

State 127:

5 : TpProd -> TpAtom . TIMES TpAtom  / 45
5 : TpProd -> TpAtom TIMES TpAtom .  / 45
6 : TpProd -> TpAtom . TIMES TpProd  / 45

$ => reduce 5
RPAREN => reduce 5
ARROW => reduce 5
BAR => reduce 5
DARROW => reduce 5
EQUAL => reduce 5
TIMES => shift 100
DATATYPE => reduce 5
END => reduce 5
FUN => reduce 5
IN => reduce 5
LOCAL => reduce 5
OPEN => reduce 5
STRUCTURE => reduce 5
TYPE => reduce 5
VAL => reduce 5

-----

State 128:

57 : Decl -> FUN Ident LPAREN Ident COLON Tp RPAREN . COLON Tp EQUAL Term  / 2

COLON => shift 140

-----

State 129:

0 : Ident -> . IDENT  / 22
10 : Datatype -> . Ident OF Tp  / 2
11 : Datatype -> . Ident OF Tp BAR Datatype  / 2
11 : Datatype -> Ident OF Tp BAR . Datatype  / 2

IDENT => shift 13
Ident => goto 43
Datatype => goto 141

-----

State 130:

0 : Ident -> . IDENT  / 63
2 : Longid -> . Ident  / 64
3 : Longid -> . Ident DOT Longid  / 64
4 : TpAtom -> . Longid  / 64
5 : TpProd -> . TpAtom TIMES TpAtom  / 65
6 : TpProd -> . TpAtom TIMES TpProd  / 65
7 : Tp -> . TpAtom  / 65
8 : Tp -> . TpProd  / 65
9 : Tp -> . Tp ARROW Tp  / 65
12 : Spec -> VAL Ident COLON . Tp  / 31

IDENT => shift 13
Ident => goto 17
Longid => goto 70
TpAtom => goto 69
TpProd => goto 68
Tp => goto 142

-----

State 131:

0 : Ident -> . IDENT  / 22
10 : Datatype -> . Ident OF Tp  / 31
11 : Datatype -> . Ident OF Tp BAR Datatype  / 31
16 : Spec -> DATATYPE Ident EQUAL . Datatype  / 31

IDENT => shift 13
Ident => goto 43
Datatype => goto 143

-----

State 132:

0 : Ident -> . IDENT  / 63
2 : Longid -> . Ident  / 64
3 : Longid -> . Ident DOT Longid  / 64
4 : TpAtom -> . Longid  / 64
5 : TpProd -> . TpAtom TIMES TpAtom  / 65
6 : TpProd -> . TpAtom TIMES TpProd  / 65
7 : Tp -> . TpAtom  / 65
8 : Tp -> . TpProd  / 65
9 : Tp -> . Tp ARROW Tp  / 65
14 : Spec -> TYPE Ident EQUAL . Tp  / 31

IDENT => shift 13
Ident => goto 17
Longid => goto 70
TpAtom => goto 69
TpProd => goto 68
Tp => goto 144

-----

State 133:

15 : Spec -> STRUCTURE Ident COLON . Sg  / 31
19 : Sg -> . SIG Specs END  / 31

SIG => shift 45
Sg => goto 145

-----

State 134:

49 : Match -> Pattern . DARROW Term  / 39
50 : Match -> Pattern . DARROW Term BAR Match  / 39

DARROW => shift 146

-----

State 135:

46 : Term -> CASE Term OF Match .  / 39

$ => reduce 46
RPAREN => reduce 46
BAR => reduce 46
CARET => reduce 46
COMMA => reduce 46
MINUS => reduce 46
PLUS => reduce 46
TIMES => reduce 46
DATATYPE => reduce 46
END => reduce 46
FUN => reduce 46
IN => reduce 46
LOCAL => reduce 46
OF => reduce 46
OPEN => reduce 46
STRUCTURE => reduce 46
TYPE => reduce 46
VAL => reduce 46

-----

State 136:

48 : Terms -> Term COMMA Terms .  / 17

RPAREN => reduce 48

-----

State 137:

41 : Term -> Term . PLUS Term  / 43
42 : Term -> Term . MINUS Term  / 43
43 : Term -> Term . TIMES Term  / 43
44 : Term -> Term . CARET Term  / 43
47 : Terms -> Term . COMMA Term  / 17
47 : Terms -> Term COMMA Term .  / 17
48 : Terms -> Term . COMMA Terms  / 17

RPAREN => reduce 47
CARET => shift 86
COMMA => shift 120
MINUS => shift 87
PLUS => shift 88
TIMES => shift 89

-----

State 138:

9 : Tp -> Tp . ARROW Tp  / 59
45 : Term -> FN Ident COLON Tp . DARROW Term  / 39

ARROW => shift 99
DARROW => shift 147

-----

State 139:

33 : TermAtom -> LET Decls IN Term . END  / 40
41 : Term -> Term . PLUS Term  / 62
42 : Term -> Term . MINUS Term  / 62
43 : Term -> Term . TIMES Term  / 62
44 : Term -> Term . CARET Term  / 62

CARET => shift 86
MINUS => shift 87
PLUS => shift 88
TIMES => shift 89
END => shift 148

-----

State 140:

0 : Ident -> . IDENT  / 66
2 : Longid -> . Ident  / 67
3 : Longid -> . Ident DOT Longid  / 67
4 : TpAtom -> . Longid  / 67
5 : TpProd -> . TpAtom TIMES TpAtom  / 68
6 : TpProd -> . TpAtom TIMES TpProd  / 68
7 : Tp -> . TpAtom  / 68
8 : Tp -> . TpProd  / 68
9 : Tp -> . Tp ARROW Tp  / 68
57 : Decl -> FUN Ident LPAREN Ident COLON Tp RPAREN COLON . Tp EQUAL Term  / 2

IDENT => shift 13
Ident => goto 17
Longid => goto 70
TpAtom => goto 69
TpProd => goto 68
Tp => goto 149

-----

State 141:

11 : Datatype -> Ident OF Tp BAR Datatype .  / 2

$ => reduce 11
DATATYPE => reduce 11
END => reduce 11
FUN => reduce 11
IN => reduce 11
LOCAL => reduce 11
OPEN => reduce 11
STRUCTURE => reduce 11
TYPE => reduce 11
VAL => reduce 11

-----

State 142:

9 : Tp -> Tp . ARROW Tp  / 65
12 : Spec -> VAL Ident COLON Tp .  / 31

ARROW => shift 99
DATATYPE => reduce 12
END => reduce 12
STRUCTURE => reduce 12
TYPE => reduce 12
VAL => reduce 12

-----

State 143:

16 : Spec -> DATATYPE Ident EQUAL Datatype .  / 31

DATATYPE => reduce 16
END => reduce 16
STRUCTURE => reduce 16
TYPE => reduce 16
VAL => reduce 16

-----

State 144:

9 : Tp -> Tp . ARROW Tp  / 65
14 : Spec -> TYPE Ident EQUAL Tp .  / 31

ARROW => shift 99
DATATYPE => reduce 14
END => reduce 14
STRUCTURE => reduce 14
TYPE => reduce 14
VAL => reduce 14

-----

State 145:

15 : Spec -> STRUCTURE Ident COLON Sg .  / 31

DATATYPE => reduce 15
END => reduce 15
STRUCTURE => reduce 15
TYPE => reduce 15
VAL => reduce 15

-----

State 146:

0 : Ident -> . IDENT  / 44
1 : Number -> . NUMBER  / 40
2 : Longid -> . Ident  / 40
3 : Longid -> . Ident DOT Longid  / 40
29 : TermAtom -> . Longid  / 40
30 : TermAtom -> . LPAREN Term RPAREN  / 40
31 : TermAtom -> . LPAREN RPAREN  / 40
32 : TermAtom -> . LPAREN Terms RPAREN  / 40
33 : TermAtom -> . LET Decls IN Term END  / 40
34 : TermAtom -> . Number  / 40
35 : TermAtom -> . STRINGLIT  / 40
36 : TermAtom -> . CHARLIT  / 40
37 : TermAtom -> . NEG  / 40
38 : TermApp -> . TermAtom  / 40
39 : TermApp -> . TermApp TermAtom  / 40
40 : Term -> . TermApp  / 39
41 : Term -> . Term PLUS Term  / 39
42 : Term -> . Term MINUS Term  / 39
43 : Term -> . Term TIMES Term  / 39
44 : Term -> . Term CARET Term  / 39
45 : Term -> . FN Ident COLON Tp DARROW Term  / 39
46 : Term -> . CASE Term OF Match  / 39
49 : Match -> Pattern DARROW . Term  / 39
50 : Match -> Pattern DARROW . Term BAR Match  / 39

IDENT => shift 13
NUMBER => shift 24
STRINGLIT => shift 56
CHARLIT => shift 55
LPAREN => shift 57
NEG => shift 54
CASE => shift 53
FN => shift 59
LET => shift 60
Ident => goto 17
Number => goto 62
Longid => goto 61
TermAtom => goto 58
Term => goto 150
TermApp => goto 63

-----

State 147:

0 : Ident -> . IDENT  / 44
1 : Number -> . NUMBER  / 40
2 : Longid -> . Ident  / 40
3 : Longid -> . Ident DOT Longid  / 40
29 : TermAtom -> . Longid  / 40
30 : TermAtom -> . LPAREN Term RPAREN  / 40
31 : TermAtom -> . LPAREN RPAREN  / 40
32 : TermAtom -> . LPAREN Terms RPAREN  / 40
33 : TermAtom -> . LET Decls IN Term END  / 40
34 : TermAtom -> . Number  / 40
35 : TermAtom -> . STRINGLIT  / 40
36 : TermAtom -> . CHARLIT  / 40
37 : TermAtom -> . NEG  / 40
38 : TermApp -> . TermAtom  / 40
39 : TermApp -> . TermApp TermAtom  / 40
40 : Term -> . TermApp  / 39
41 : Term -> . Term PLUS Term  / 39
42 : Term -> . Term MINUS Term  / 39
43 : Term -> . Term TIMES Term  / 39
44 : Term -> . Term CARET Term  / 39
45 : Term -> . FN Ident COLON Tp DARROW Term  / 39
45 : Term -> FN Ident COLON Tp DARROW . Term  / 39
46 : Term -> . CASE Term OF Match  / 39

IDENT => shift 13
NUMBER => shift 24
STRINGLIT => shift 56
CHARLIT => shift 55
LPAREN => shift 57
NEG => shift 54
CASE => shift 53
FN => shift 59
LET => shift 60
Ident => goto 17
Number => goto 62
Longid => goto 61
TermAtom => goto 58
Term => goto 151
TermApp => goto 63

-----

State 148:

33 : TermAtom -> LET Decls IN Term END .  / 40

$ => reduce 33
IDENT => reduce 33
NUMBER => reduce 33
STRINGLIT => reduce 33
CHARLIT => reduce 33
LPAREN => reduce 33
RPAREN => reduce 33
BAR => reduce 33
CARET => reduce 33
COMMA => reduce 33
MINUS => reduce 33
NEG => reduce 33
PLUS => reduce 33
TIMES => reduce 33
DATATYPE => reduce 33
END => reduce 33
FUN => reduce 33
IN => reduce 33
LET => reduce 33
LOCAL => reduce 33
OF => reduce 33
OPEN => reduce 33
STRUCTURE => reduce 33
TYPE => reduce 33
VAL => reduce 33

-----

State 149:

9 : Tp -> Tp . ARROW Tp  / 68
57 : Decl -> FUN Ident LPAREN Ident COLON Tp RPAREN COLON Tp . EQUAL Term  / 2

ARROW => shift 99
EQUAL => shift 152

-----

State 150:

41 : Term -> Term . PLUS Term  / 39
42 : Term -> Term . MINUS Term  / 39
43 : Term -> Term . TIMES Term  / 39
44 : Term -> Term . CARET Term  / 39
49 : Match -> Pattern DARROW Term .  / 39
50 : Match -> Pattern DARROW Term . BAR Match  / 39

$ => reduce 49
RPAREN => reduce 49
BAR => shift 153, reduce 49  PRECEDENCE
CARET => shift 86, reduce 49  PRECEDENCE
COMMA => reduce 49
MINUS => shift 87, reduce 49  PRECEDENCE
PLUS => shift 88, reduce 49  PRECEDENCE
TIMES => shift 89, reduce 49  PRECEDENCE
DATATYPE => reduce 49
END => reduce 49
FUN => reduce 49
IN => reduce 49
LOCAL => reduce 49
OF => reduce 49
OPEN => reduce 49
STRUCTURE => reduce 49
TYPE => reduce 49
VAL => reduce 49

-----

State 151:

41 : Term -> Term . PLUS Term  / 39
42 : Term -> Term . MINUS Term  / 39
43 : Term -> Term . TIMES Term  / 39
44 : Term -> Term . CARET Term  / 39
45 : Term -> FN Ident COLON Tp DARROW Term .  / 39

$ => reduce 45
RPAREN => reduce 45
BAR => reduce 45
CARET => shift 86, reduce 45  PRECEDENCE
COMMA => reduce 45
MINUS => shift 87, reduce 45  PRECEDENCE
PLUS => shift 88, reduce 45  PRECEDENCE
TIMES => shift 89, reduce 45  PRECEDENCE
DATATYPE => reduce 45
END => reduce 45
FUN => reduce 45
IN => reduce 45
LOCAL => reduce 45
OF => reduce 45
OPEN => reduce 45
STRUCTURE => reduce 45
TYPE => reduce 45
VAL => reduce 45

-----

State 152:

0 : Ident -> . IDENT  / 25
1 : Number -> . NUMBER  / 26
2 : Longid -> . Ident  / 26
3 : Longid -> . Ident DOT Longid  / 26
29 : TermAtom -> . Longid  / 26
30 : TermAtom -> . LPAREN Term RPAREN  / 26
31 : TermAtom -> . LPAREN RPAREN  / 26
32 : TermAtom -> . LPAREN Terms RPAREN  / 26
33 : TermAtom -> . LET Decls IN Term END  / 26
34 : TermAtom -> . Number  / 26
35 : TermAtom -> . STRINGLIT  / 26
36 : TermAtom -> . CHARLIT  / 26
37 : TermAtom -> . NEG  / 26
38 : TermApp -> . TermAtom  / 26
39 : TermApp -> . TermApp TermAtom  / 26
40 : Term -> . TermApp  / 27
41 : Term -> . Term PLUS Term  / 27
42 : Term -> . Term MINUS Term  / 27
43 : Term -> . Term TIMES Term  / 27
44 : Term -> . Term CARET Term  / 27
45 : Term -> . FN Ident COLON Tp DARROW Term  / 27
46 : Term -> . CASE Term OF Match  / 27
57 : Decl -> FUN Ident LPAREN Ident COLON Tp RPAREN COLON Tp EQUAL . Term  / 2

IDENT => shift 13
NUMBER => shift 24
STRINGLIT => shift 56
CHARLIT => shift 55
LPAREN => shift 57
NEG => shift 54
CASE => shift 53
FN => shift 59
LET => shift 60
Ident => goto 17
Number => goto 62
Longid => goto 61
TermAtom => goto 58
Term => goto 154
TermApp => goto 63

-----

State 153:

0 : Ident -> . IDENT  / 55
1 : Number -> . NUMBER  / 56
2 : Longid -> . Ident  / 11
3 : Longid -> . Ident DOT Longid  / 11
20 : PatternAtom -> . Ident  / 56
21 : PatternAtom -> . LPAREN Pattern RPAREN  / 56
22 : PatternAtom -> . LPAREN RPAREN  / 56
23 : PatternAtom -> . LPAREN Patterns RPAREN  / 56
24 : PatternAtom -> . Number  / 56
25 : Pattern -> . PatternAtom  / 56
26 : Pattern -> . Longid PatternAtom  / 56
49 : Match -> . Pattern DARROW Term  / 39
50 : Match -> . Pattern DARROW Term BAR Match  / 39
50 : Match -> Pattern DARROW Term BAR . Match  / 39

IDENT => shift 13
NUMBER => shift 24
LPAREN => shift 23
Ident => goto 22
Number => goto 21
Longid => goto 20
PatternAtom => goto 19
Pattern => goto 134
Match => goto 155

-----

State 154:

41 : Term -> Term . PLUS Term  / 27
42 : Term -> Term . MINUS Term  / 27
43 : Term -> Term . TIMES Term  / 27
44 : Term -> Term . CARET Term  / 27
57 : Decl -> FUN Ident LPAREN Ident COLON Tp RPAREN COLON Tp EQUAL Term .  / 2

$ => reduce 57
CARET => shift 86
MINUS => shift 87
PLUS => shift 88
TIMES => shift 89
DATATYPE => reduce 57
END => reduce 57
FUN => reduce 57
IN => reduce 57
LOCAL => reduce 57
OPEN => reduce 57
STRUCTURE => reduce 57
TYPE => reduce 57
VAL => reduce 57

-----

State 155:

50 : Match -> Pattern DARROW Term BAR Match .  / 39

$ => reduce 50
RPAREN => reduce 50
BAR => reduce 50
CARET => reduce 50
COMMA => reduce 50
MINUS => reduce 50
PLUS => reduce 50
TIMES => reduce 50
DATATYPE => reduce 50
END => reduce 50
FUN => reduce 50
IN => reduce 50
LOCAL => reduce 50
OF => reduce 50
OPEN => reduce 50
STRUCTURE => reduce 50
TYPE => reduce 50
VAL => reduce 50

-----

lookahead 0 = $ 
lookahead 1 = $ DATATYPE FUN LOCAL OPEN STRUCTURE TYPE VAL 
lookahead 2 = $ DATATYPE END FUN IN LOCAL OPEN STRUCTURE TYPE VAL 
lookahead 3 = $ END IN 
lookahead 4 = DATATYPE FUN IN LOCAL OPEN STRUCTURE TYPE VAL 
lookahead 5 = IN 
lookahead 6 = LPAREN 
lookahead 7 = EQUAL 
lookahead 8 = COLON EQUAL SEAL 
lookahead 9 = $ DOT DATATYPE END FUN IN LOCAL OPEN STRUCTURE TYPE VAL 
lookahead 10 = IDENT NUMBER LPAREN DOT EQUAL 
lookahead 11 = IDENT NUMBER LPAREN 
lookahead 12 = $ IDENT NUMBER STRINGLIT CHARLIT LPAREN RPAREN ARROW BAR CARET COLON COMMA DARROW DOT EQUAL MINUS NEG PLUS SEAL TIMES DATATYPE END FUN IN LET LOCAL OF OPEN STRUCTURE TYPE VAL 
lookahead 13 = $ IDENT NUMBER STRINGLIT CHARLIT LPAREN RPAREN ARROW BAR CARET COLON COMMA DARROW EQUAL MINUS NEG PLUS SEAL TIMES DATATYPE END FUN IN LET LOCAL OF OPEN STRUCTURE TYPE VAL 
lookahead 14 = RPAREN COMMA DARROW EQUAL 
lookahead 15 = IDENT NUMBER LPAREN RPAREN COMMA DOT 
lookahead 16 = RPAREN COMMA 
lookahead 17 = RPAREN 
lookahead 18 = $ IDENT NUMBER STRINGLIT CHARLIT LPAREN RPAREN BAR CARET COMMA DARROW EQUAL MINUS NEG PLUS TIMES DATATYPE END FUN IN LET LOCAL OF OPEN STRUCTURE TYPE VAL 
lookahead 19 = DATATYPE END FUN LOCAL OPEN STRUCTURE TYPE VAL 
lookahead 20 = END 
lookahead 21 = COLON 
lookahead 22 = OF 
lookahead 23 = $ COLON DOT SEAL DATATYPE END FUN IN LOCAL OPEN STRUCTURE TYPE VAL 
lookahead 24 = $ COLON SEAL DATATYPE END FUN IN LOCAL OPEN STRUCTURE TYPE VAL 
lookahead 25 = $ IDENT NUMBER STRINGLIT CHARLIT LPAREN CARET DOT MINUS NEG PLUS TIMES DATATYPE END FUN IN LET LOCAL OPEN STRUCTURE TYPE VAL 
lookahead 26 = $ IDENT NUMBER STRINGLIT CHARLIT LPAREN CARET MINUS NEG PLUS TIMES DATATYPE END FUN IN LET LOCAL OPEN STRUCTURE TYPE VAL 
lookahead 27 = $ CARET MINUS PLUS TIMES DATATYPE END FUN IN LOCAL OPEN STRUCTURE TYPE VAL 
lookahead 28 = $ ARROW DOT TIMES DATATYPE END FUN IN LOCAL OPEN STRUCTURE TYPE VAL 
lookahead 29 = $ ARROW TIMES DATATYPE END FUN IN LOCAL OPEN STRUCTURE TYPE VAL 
lookahead 30 = $ ARROW DATATYPE END FUN IN LOCAL OPEN STRUCTURE TYPE VAL 
lookahead 31 = DATATYPE END STRUCTURE TYPE VAL 
lookahead 32 = $ RPAREN COLON EQUAL SEAL DATATYPE END FUN IN LOCAL OPEN STRUCTURE TYPE VAL 
lookahead 33 = $ RPAREN COLON SEAL DATATYPE END FUN IN LOCAL OPEN STRUCTURE TYPE VAL 
lookahead 34 = RPAREN COLON DOT SEAL 
lookahead 35 = RPAREN COLON SEAL 
lookahead 36 = IDENT NUMBER STRINGLIT CHARLIT LPAREN CARET DOT MINUS NEG PLUS TIMES LET OF 
lookahead 37 = IDENT NUMBER STRINGLIT CHARLIT LPAREN CARET MINUS NEG PLUS TIMES LET OF 
lookahead 38 = CARET MINUS PLUS TIMES OF 
lookahead 39 = $ RPAREN BAR CARET COMMA MINUS PLUS TIMES DATATYPE END FUN IN LOCAL OF OPEN STRUCTURE TYPE VAL 
lookahead 40 = $ IDENT NUMBER STRINGLIT CHARLIT LPAREN RPAREN BAR CARET COMMA MINUS NEG PLUS TIMES DATATYPE END FUN IN LET LOCAL OF OPEN STRUCTURE TYPE VAL 
lookahead 41 = IDENT NUMBER STRINGLIT CHARLIT LPAREN RPAREN CARET COMMA DOT MINUS NEG PLUS TIMES LET 
lookahead 42 = IDENT NUMBER STRINGLIT CHARLIT LPAREN RPAREN CARET COMMA MINUS NEG PLUS TIMES LET 
lookahead 43 = RPAREN CARET COMMA MINUS PLUS TIMES 
lookahead 44 = $ IDENT NUMBER STRINGLIT CHARLIT LPAREN RPAREN BAR CARET COMMA DOT MINUS NEG PLUS TIMES DATATYPE END FUN IN LET LOCAL OF OPEN STRUCTURE TYPE VAL 
lookahead 45 = $ RPAREN ARROW BAR DARROW EQUAL DATATYPE END FUN IN LOCAL OPEN STRUCTURE TYPE VAL 
lookahead 46 = $ RPAREN ARROW BAR DARROW EQUAL TIMES DATATYPE END FUN IN LOCAL OPEN STRUCTURE TYPE VAL 
lookahead 47 = RPAREN ARROW DOT TIMES 
lookahead 48 = RPAREN ARROW TIMES 
lookahead 49 = RPAREN ARROW 
lookahead 50 = $ ARROW BAR DOT TIMES DATATYPE END FUN IN LOCAL OPEN STRUCTURE TYPE VAL 
lookahead 51 = $ ARROW BAR TIMES DATATYPE END FUN IN LOCAL OPEN STRUCTURE TYPE VAL 
lookahead 52 = $ ARROW BAR DATATYPE END FUN IN LOCAL OPEN STRUCTURE TYPE VAL 
lookahead 53 = EQUAL DATATYPE END STRUCTURE TYPE VAL 
lookahead 54 = $ RPAREN ARROW BAR DARROW DOT EQUAL TIMES DATATYPE END FUN IN LOCAL OPEN STRUCTURE TYPE VAL 
lookahead 55 = IDENT NUMBER LPAREN DARROW DOT 
lookahead 56 = DARROW 
lookahead 57 = ARROW DARROW DOT TIMES 
lookahead 58 = ARROW DARROW TIMES 
lookahead 59 = ARROW DARROW 
lookahead 60 = IDENT NUMBER STRINGLIT CHARLIT LPAREN CARET DOT MINUS NEG PLUS TIMES END LET 
lookahead 61 = IDENT NUMBER STRINGLIT CHARLIT LPAREN CARET MINUS NEG PLUS TIMES END LET 
lookahead 62 = CARET MINUS PLUS TIMES END 
lookahead 63 = ARROW DOT TIMES DATATYPE END STRUCTURE TYPE VAL 
lookahead 64 = ARROW TIMES DATATYPE END STRUCTURE TYPE VAL 
lookahead 65 = ARROW DATATYPE END STRUCTURE TYPE VAL 
lookahead 66 = ARROW DOT EQUAL TIMES 
lookahead 67 = ARROW EQUAL TIMES 
lookahead 68 = ARROW EQUAL 

*)

struct
local
structure Value = struct
datatype nonterminal =
nonterminal
| string of Arg.string
| int of Arg.int
| char of Arg.char
| longid of Arg.longid
| tp of Arg.tp
| tp_list of Arg.tp_list
| dt of Arg.dt
| spec of Arg.spec
| specs of Arg.specs
| sg of Arg.sg
| pattern of Arg.pattern
| patterns of Arg.patterns
| term of Arg.term
| terms of Arg.terms
| match of Arg.match
| module of Arg.module
| decl of Arg.decl
| decls of Arg.decls
end
structure ParseEngine = ParseEngineFun (structure Streamable = Streamable
type terminal = Arg.terminal
type value = Value.nonterminal
val dummy = Value.nonterminal
fun read terminal =
(case terminal of
Arg.IDENT x => (1, Value.string x)
| Arg.NUMBER x => (2, Value.int x)
| Arg.STRINGLIT x => (3, Value.string x)
| Arg.CHARLIT x => (4, Value.char x)
| Arg.LPAREN => (5, Value.nonterminal)
| Arg.RPAREN => (6, Value.nonterminal)
| Arg.ARROW => (7, Value.nonterminal)
| Arg.BAR => (8, Value.nonterminal)
| Arg.CARET => (9, Value.nonterminal)
| Arg.COLON => (10, Value.nonterminal)
| Arg.COMMA => (11, Value.nonterminal)
| Arg.DARROW => (12, Value.nonterminal)
| Arg.DOT => (13, Value.nonterminal)
| Arg.EQUAL => (14, Value.nonterminal)
| Arg.MINUS => (15, Value.nonterminal)
| Arg.NEG => (16, Value.nonterminal)
| Arg.PLUS => (17, Value.nonterminal)
| Arg.SEAL => (18, Value.nonterminal)
| Arg.TIMES => (19, Value.nonterminal)
| Arg.CASE => (20, Value.nonterminal)
| Arg.DATATYPE => (21, Value.nonterminal)
| Arg.END => (22, Value.nonterminal)
| Arg.FN => (23, Value.nonterminal)
| Arg.FUN => (24, Value.nonterminal)
| Arg.IN => (25, Value.nonterminal)
| Arg.LET => (26, Value.nonterminal)
| Arg.LOCAL => (27, Value.nonterminal)
| Arg.OF => (28, Value.nonterminal)
| Arg.OPEN => (29, Value.nonterminal)
| Arg.SIG => (30, Value.nonterminal)
| Arg.STRUCT => (31, Value.nonterminal)
| Arg.STRUCTURE => (32, Value.nonterminal)
| Arg.TYPE => (33, Value.nonterminal)
| Arg.VAL => (34, Value.nonterminal)
)
)
in
val parse = ParseEngine.parse (
ParseEngine.next6x2 "\127\189\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^F\128\^@\128\^@\128\^E\128\^@\128\^@\128\^D\128\^@\128\b\128\^@\128\^@\128\a\128\n\128\t\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\189\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^F\127\189\128\^@\128\^E\127\189\128\^@\128\^D\128\^@\128\b\128\^@\128\^@\128\a\128\n\128\t\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\255\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^F\128\^@\128\^@\128\^E\127\189\128\^@\128\^D\128\^@\128\b\128\^@\128\^@\128\a\128\n\128\t\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^Y\128\^@\128\^@\128\^X\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\188\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\188\128\^@\128\^@\127\188\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^[\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^\\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\254\127\254\127\254\127\254\127\254\127\254\127\254\127\254\127\254\127\254\127\254\127\254\127\254\127\254\127\254\127\254\127\254\127\254\127\254\127\254\128\^@\127\254\127\254\128\^@\127\254\127\254\127\254\127\254\127\254\127\254\128\^@\128\^@\127\254\127\254\127\254\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^]\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128 \128\^@\128\^@\128\^@\128\^_\128\^@\128\^@\128\^@\128\^^\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\191\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\191\127\191\128\^@\127\191\127\191\128\^@\127\191\128\^@\127\191\128\^@\128\^@\127\191\127\191\127\191\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\252\127\252\127\252\127\252\127\252\127\252\127\252\127\252\127\252\127\252\127\252\127\252\127\252\128!\127\252\127\252\127\252\127\252\127\252\127\252\128\^@\127\252\127\252\128\^@\127\252\127\252\127\252\127\252\127\252\127\252\128\^@\128\^@\127\252\127\252\127\252\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\"\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\229\128\^@\128\^@\128\^@\128\^@\127\229\127\229\128\^@\127\229\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^Y\128\^@\128\^@\128\^X\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\230\128\^@\128\^@\128\^@\128\^@\127\230\127\230\128\^@\127\230\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\252\127\252\128\^@\128\^@\127\252\127\234\128\^@\128\^@\128\^@\128\^@\127\234\127\234\128!\127\234\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^Y\128\^@\128\^@\128\^X\128&\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\253\127\253\127\253\127\253\127\253\127\253\127\253\128\^@\127\253\127\253\128\^@\127\253\127\253\128\^@\127\253\127\253\127\253\127\253\128\^@\127\253\128\^@\127\253\127\253\128\^@\127\253\127\253\127\253\127\253\127\253\127\253\128\^@\128\^@\127\253\127\253\127\253\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128(\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^F\127\189\128\^@\128\^E\128\^@\128\^@\128\^D\128\^@\128\b\128\^@\128\^@\128\a\128\n\128\t\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128.\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^@\128\^@\128\^@\1282\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\1281\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128.\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^Y\1289\1288\128:\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\1287\128\^@\128\^@\128\^@\1286\128\^@\128\^@\128<\128\^@\128\^@\128=\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\228\128\^@\128\^@\128\^@\128\^@\127\228\127\228\128\^@\127\228\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\234\128\^@\128\^@\128\^@\128\^@\127\234\127\234\128\^@\127\234\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128B\128\^@\128\^@\128\^@\128\^@\128A\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\232\128\^@\128\^@\128\^@\128\^@\127\232\127\232\128\^@\127\232\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128C\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128H\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128I\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\195\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\195\127\195\128\^@\127\195\127\195\128\^@\127\195\128\^@\127\195\128\^@\128\^@\127\195\127\195\127\195\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128J\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128K\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128O\127\237\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128Q\128P\128N\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\194\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128S\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128R\128\^@\128\^@\127\194\127\194\128\^@\127\194\127\194\128\^@\127\194\128\^@\127\194\128\^@\128\^@\127\194\127\194\127\194\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\203\128\^@\128\^@\128\^@\128\^@\128\^@\127\203\128\^@\128\^@\128\^@\127\203\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\203\128\^@\128\^@\127\203\127\203\128\^@\127\203\127\203\128\^@\127\203\128\^@\127\203\128\^@\128\^@\127\203\127\203\127\203\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^F\127\189\128\^@\128\^E\128\^@\128\^@\128\^D\128\^@\128\b\128\^@\128\^@\128\a\128\n\128\t\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^@\128\^@\128\^@\1282\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\1281\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128V\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\251\127\251\127\251\127\251\127\251\127\251\127\251\127\251\127\251\127\251\127\251\127\251\127\251\128\^@\127\251\127\251\127\251\127\251\127\251\127\251\128\^@\127\251\127\251\128\^@\127\251\127\251\127\251\127\251\127\251\127\251\128\^@\128\^@\127\251\127\251\127\251\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\198\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128W\128\^@\128\^@\128\^@\128\^@\128\^@\128X\128\^@\128Y\128\^@\128Z\128\^@\127\198\127\198\128\^@\127\198\127\198\128\^@\127\198\128\^@\127\198\128\^@\128\^@\127\198\127\198\127\198\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^Y\1289\1288\128:\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\1287\128\^@\128\^@\128\^@\1286\128\^@\128\^@\128<\128\^@\128\^@\128=\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\217\127\217\127\217\127\217\127\217\127\217\127\217\128\^@\127\217\127\217\128\^@\127\217\128\^@\128\^@\128\^@\127\217\127\217\127\217\128\^@\127\217\128\^@\127\217\127\217\128\^@\127\217\127\217\127\217\127\217\127\217\127\217\128\^@\128\^@\127\217\127\217\127\217\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\218\127\218\127\218\127\218\127\218\127\218\127\218\128\^@\127\218\127\218\128\^@\127\218\128\^@\128\^@\128\^@\127\218\127\218\127\218\128\^@\127\218\128\^@\127\218\127\218\128\^@\127\218\127\218\127\218\127\218\127\218\127\218\128\^@\128\^@\127\218\127\218\127\218\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\219\127\219\127\219\127\219\127\219\127\219\127\219\128\^@\127\219\127\219\128\^@\127\219\128\^@\128\^@\128\^@\127\219\127\219\127\219\128\^@\127\219\128\^@\127\219\127\219\128\^@\127\219\127\219\127\219\127\219\127\219\127\219\128\^@\128\^@\127\219\127\219\127\219\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^Y\1289\1288\128:\128]\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\1287\128\^@\128\^@\128\^@\1286\128\^@\128\^@\128<\128\^@\128\^@\128=\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\216\127\216\127\216\127\216\127\216\127\216\127\216\128\^@\127\216\127\216\128\^@\127\216\128\^@\128\^@\128\^@\127\216\127\216\127\216\128\^@\127\216\128\^@\127\216\127\216\128\^@\127\216\127\216\127\216\127\216\127\216\127\216\128\^@\128\^@\127\216\127\216\127\216\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^F\128\^@\128\^@\128\^E\127\189\128\^@\128\^D\128\^@\128\b\128\^@\128\^@\128\a\128\n\128\t\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\225\127\225\127\225\127\225\127\225\127\225\127\225\128\^@\127\225\127\225\128\^@\127\225\128\^@\128\^@\128\^@\127\225\127\225\127\225\128\^@\127\225\128\^@\127\225\127\225\128\^@\127\225\127\225\127\225\127\225\127\225\127\225\128\^@\128\^@\127\225\127\225\127\225\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\220\127\220\127\220\127\220\127\220\127\220\127\220\128\^@\127\220\127\220\128\^@\127\220\128\^@\128\^@\128\^@\127\220\127\220\127\220\128\^@\127\220\128\^@\127\220\127\220\128\^@\127\220\127\220\127\220\127\220\127\220\127\220\128\^@\128\^@\127\220\127\220\127\220\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\214\128\^N\128\^Y\1289\1288\128:\127\214\128\^@\127\214\127\214\128\^@\127\214\128\^@\128\^@\128\^@\127\214\1287\127\214\128\^@\127\214\128\^@\127\214\127\214\128\^@\127\214\127\214\128=\127\214\127\214\127\214\128\^@\128\^@\127\214\127\214\127\214\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^Y\128\^@\128\^@\128\^X\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\233\128\^@\128\^@\128\^@\128\^@\127\233\127\233\128\^@\127\233\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\231\128\^@\128\^@\128\^@\128\^@\127\231\127\231\128\^@\127\231\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\196\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128d\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\196\127\196\128\^@\127\196\127\196\128\^@\127\196\128\^@\127\196\128\^@\128\^@\127\196\127\196\127\196\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\246\128\^@\128\^@\128\^@\128\^@\128\^@\127\246\127\246\127\246\128\^@\128\^@\128\^@\127\246\128\^@\127\246\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\246\127\246\128\^@\127\246\127\246\128\^@\127\246\128\^@\127\246\128\^@\128\^@\127\246\127\246\127\246\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\247\128\^@\128\^@\128\^@\128\^@\128\^@\127\247\127\247\127\247\128\^@\128\^@\128\^@\127\247\128\^@\127\247\128\^@\128\^@\128\^@\128\^@\128e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i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q\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128r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x\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128z\128\^@\128\^@\128W\128\^@\128y\128\^@\128\^@\128\^@\128X\128\^@\128Y\128\^@\128Z\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\223\127\223\127\223\127\223\127\223\127\223\127\223\128\^@\127\223\127\223\128\^@\127\223\128\^@\128\^@\128\^@\127\223\127\223\127\223\128\^@\127\223\128\^@\127\223\127\223\128\^@\127\223\127\223\127\223\127\223\127\223\127\223\128\^@\128\^@\127\223\127\223\127\223\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128{\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128|\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128}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d\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\244\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128d\128\130\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\244\127\244\128\^@\127\244\127\244\128\^@\127\244\128\^@\127\244\128\^@\128\^@\127\244\127\244\127\244\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\192\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128S\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128R\128\^@\128\^@\127\192\127\192\128\^@\127\192\127\192\128\^@\127\192\128\^@\127\192\128\^@\128\^@\127\192\127\192\127\192\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\235\128\^@\128\^@\128\^@\128\^@\128\^@\127\235\128\^@\128\^@\128\^@\127\235\128\^@\128\^@\128\^@\127\235\128\^@\128\^@\128\^@\127\235\128\^@\128\^@\127\235\127\235\128\^@\127\235\127\235\128\^@\127\235\128\^@\127\235\128\^@\128\^@\127\235\127\235\127\235\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\236\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\131\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\132\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\133\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\241\127\241\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\241\127\241\127\241\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\134\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\199\128\^@\128\^@\128\^@\128\^@\128\^@\127\199\128\^@\128\^@\128\^@\127\199\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\199\128\^@\128\^@\127\199\127\199\128\^@\127\199\127\199\128\^@\127\199\128\^@\127\199\128\^@\128\^@\127\199\127\199\127\199\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\200\128\^@\128\^@\128\^@\128\^@\128\^@\127\200\128\^@\128\^@\128\^@\127\200\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\200\128\^@\128\^@\127\200\127\200\128\^@\127\200\127\200\128\^@\127\200\128\^@\127\200\128\^@\128\^@\127\200\127\200\127\200\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\201\128\^@\128\^@\128\^@\128\^@\128\^@\127\201\128\^@\128\^@\128\^@\127\201\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\201\128\^@\128\^@\127\201\127\201\128\^@\127\201\127\201\128\^@\127\201\128\^@\127\201\128\^@\128\^@\127\201\127\201\127\201\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\202\128\^@\128\^@\128\^@\128\^@\128\^@\127\202\128\^@\128\^@\128\^@\127\202\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\202\128\^@\128\^@\127\202\127\202\128\^@\127\202\127\202\128\^@\127\202\128\^@\127\202\128\^@\128\^@\127\202\127\202\127\202\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\193\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128S\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128R\128\^@\128\^@\127\193\127\193\128\^@\127\193\127\193\128\^@\127\193\128\^@\127\193\128\^@\128\^@\127\193\127\193\127\193\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\210\128\^@\128\^@\128\^@\128\^@\128\^@\127\210\128\^@\127\210\127\210\128\^@\127\210\128\^@\128\^@\128\^@\127\210\128\^@\127\210\128\^@\128Z\128\^@\127\210\127\210\128\^@\127\210\127\210\128\^@\127\210\127\210\127\210\128\^@\128\^@\127\210\127\210\127\210\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\212\128\^@\128\^@\128\^@\128\^@\128\^@\127\212\128\^@\127\212\127\212\128\^@\127\212\128\^@\128\^@\128\^@\127\212\128\^@\127\212\128\^@\128Z\128\^@\127\212\127\212\128\^@\127\212\127\212\128\^@\127\212\127\212\127\212\128\^@\128\^@\127\212\127\212\127\212\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\213\128\^@\128\^@\128\^@\128\^@\128\^@\127\213\128\^@\127\213\127\213\128\^@\127\213\128\^@\128\^@\128\^@\127\213\128\^@\127\213\128\^@\128Z\128\^@\127\213\127\213\128\^@\127\213\127\213\128\^@\127\213\127\213\127\213\128\^@\128\^@\127\213\127\213\127\213\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\211\128\^@\128\^@\128\^@\128\^@\128\^@\127\211\128\^@\127\211\127\211\128\^@\127\211\128\^@\128\^@\128\^@\127\211\128\^@\127\211\128\^@\127\211\128\^@\127\211\127\211\128\^@\127\211\127\211\128\^@\127\211\127\211\127\211\128\^@\128\^@\127\211\127\211\127\211\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^Y\128\^@\128\^@\128\^X\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^Y\1289\1288\128:\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\1287\128\^@\128\^@\128\^@\1286\128\^@\128\^@\128<\128\^@\128\^@\128=\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\224\127\224\127\224\127\224\127\224\127\224\127\224\128\^@\127\224\127\224\128\^@\127\224\128\^@\128\^@\128\^@\127\224\127\224\127\224\128\^@\127\224\128\^@\127\224\127\224\128\^@\127\224\127\224\127\224\127\224\127\224\127\224\128\^@\128\^@\127\224\127\224\127\224\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\222\127\222\127\222\127\222\127\222\127\222\127\222\128\^@\127\222\127\222\128\^@\127\222\128\^@\128\^@\128\^@\127\222\127\222\127\222\128\^@\127\222\128\^@\127\222\127\222\128\^@\127\222\127\222\127\222\127\222\127\222\127\222\128\^@\128\^@\127\222\127\222\127\222\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^Y\1289\1288\128:\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\1287\128\^@\128\^@\128\^@\1286\128\^@\128\^@\128<\128\^@\128\^@\128=\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\245\128\^@\128\^@\128\^@\128\^@\128\^@\127\245\128d\127\245\128\^@\128\^@\128\^@\127\245\128\^@\127\245\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\245\127\245\128\^@\127\245\127\245\128\^@\127\245\128\^@\127\245\128\^@\128\^@\127\245\127\245\127\245\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\248\128\^@\128\^@\128\^@\128\^@\128\^@\127\248\127\248\127\248\128\^@\128\^@\128\^@\127\248\128\^@\127\248\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\248\127\248\128\^@\127\248\127\248\128\^@\127\248\128\^@\127\248\128\^@\128\^@\127\248\127\248\127\248\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\249\128\^@\128\^@\128\^@\128\^@\128\^@\127\249\127\249\127\249\128\^@\128\^@\128\^@\127\249\128\^@\127\249\128\^@\128\^@\128\^@\128\^@\128e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y\128\^@\128\^@\128\^@\128X\128\^@\128Y\128\^@\128Z\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128d\128\^@\128\^@\128\^@\128\^@\128\148\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128W\128\^@\128\^@\128\^@\128\^@\128\^@\128X\128\^@\128Y\128\^@\128Z\128\^@\128\^@\128\149\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\243\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\243\127\243\128\^@\127\243\127\243\128\^@\127\243\128\^@\127\243\128\^@\128\^@\127\243\127\243\127\243\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128d\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\242\127\242\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\242\127\242\127\242\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\238\127\238\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\238\127\238\127\238\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128d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d\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\153\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\205\128\^@\128\^@\128\^@\128\^@\128\^@\127\205\128\^@\128\154\128W\128\^@\127\205\128\^@\128\^@\128\^@\128X\128\^@\128Y\128\^@\128Z\128\^@\127\205\127\205\128\^@\127\205\127\205\128\^@\127\205\127\205\127\205\128\^@\128\^@\127\205\127\205\127\205\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\209\128\^@\128\^@\128\^@\128\^@\128\^@\127\209\128\^@\127\209\128W\128\^@\127\209\128\^@\128\^@\128\^@\128X\128\^@\128Y\128\^@\128Z\128\^@\127\209\127\209\128\^@\127\209\127\209\128\^@\127\209\127\209\127\209\128\^@\128\^@\127\209\127\209\127\209\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^Y\1289\1288\128:\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\1287\128\^@\128\^@\128\^@\1286\128\^@\128\^@\128<\128\^@\128\^@\128=\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^N\128\^Y\128\^@\128\^@\128\^X\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\197\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128W\128\^@\128\^@\128\^@\128\^@\128\^@\128X\128\^@\128Y\128\^@\128Z\128\^@\127\197\127\197\128\^@\127\197\127\197\128\^@\127\197\128\^@\127\197\128\^@\128\^@\127\197\127\197\127\197\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\127\204\128\^@\128\^@\128\^@\128\^@\128\^@\127\204\128\^@\127\204\127\204\128\^@\127\204\128\^@\128\^@\128\^@\127\204\128\^@\127\204\128\^@\127\204\128\^@\127\204\127\204\128\^@\127\204\127\204\128\^@\127\204\127\204\127\204\128\^@\128\^@\127\204\127\204\127\204\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@",
ParseEngine.next6x2 "\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^B\128\^@\128\^@\128\^@\128\^A\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\n\128\^@\128\^@\128\^@\128\^A\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\v\128\^@\128\^@\128\^@\128\^A\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\f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`\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^V\128\^U\128\^T\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^S\128b\128a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e\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^Q\128\^@\128F\128E\128D\128f\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^Q\128\^@\128/\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128g\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128L\128\^@\128i\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128j\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128k\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128l\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128m\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128n\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128o\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^Q\128\^@\128/\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128r\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^Q\128>\128=\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128:\128s\128\^@\128\^@\128?\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^Q\128>\128=\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128:\128t\128\^@\128\^@\128?\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^Q\128>\128=\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128:\128u\128\^@\128\^@\128?\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^Q\128>\128=\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128:\128v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}\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^@\128\^Q\128\^@\128F\128\127\128~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
Vector.fromList [(0,1,(fn Value.string(arg0)::rest => Value.string(Arg.ident arg0)::rest|_=>raise (Fail "bad parser"))),
(1,1,(fn Value.int(arg0)::rest => Value.int(Arg.number arg0)::rest|_=>raise (Fail "bad parser"))),
(2,1,(fn Value.string(arg0)::rest => Value.longid(Arg.single_longid arg0)::rest|_=>raise (Fail "bad parser"))),
(2,3,(fn Value.longid(arg0)::_::Value.string(arg1)::rest => Value.longid(Arg.cons_longid {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(3,1,(fn Value.longid(arg0)::rest => Value.tp(Arg.ident_tp arg0)::rest|_=>raise (Fail "bad parser"))),
(4,3,(fn Value.tp(arg0)::_::Value.tp(arg1)::rest => Value.tp_list(Arg.double_tp_prod {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(4,3,(fn Value.tp_list(arg0)::_::Value.tp(arg1)::rest => Value.tp_list(Arg.cons_tp_prod {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(5,1,(fn Value.tp(arg0)::rest => Value.tp(Arg.tp_atom_tp arg0)::rest|_=>raise (Fail "bad parser"))),
(5,1,(fn Value.tp_list(arg0)::rest => Value.tp(Arg.prod_tp arg0)::rest|_=>raise (Fail "bad parser"))),
(5,3,(fn Value.tp(arg0)::_::Value.tp(arg1)::rest => Value.tp(Arg.arrow_tp {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(6,3,(fn Value.tp(arg0)::_::Value.string(arg1)::rest => Value.dt(Arg.single_dt {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(6,5,(fn Value.dt(arg0)::_::Value.tp(arg1)::_::Value.string(arg2)::rest => Value.dt(Arg.cons_dt {3=arg0,2=arg1,1=arg2})::rest|_=>raise (Fail "bad parser"))),
(7,4,(fn Value.tp(arg0)::_::Value.string(arg1)::_::rest => Value.spec(Arg.val_spec {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(7,2,(fn Value.string(arg0)::_::rest => Value.spec(Arg.type_spec arg0)::rest|_=>raise (Fail "bad parser"))),
(7,4,(fn Value.tp(arg0)::_::Value.string(arg1)::_::rest => Value.spec(Arg.type_eq_spec {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(7,4,(fn Value.sg(arg0)::_::Value.string(arg1)::_::rest => Value.spec(Arg.structure_spec {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(7,4,(fn Value.dt(arg0)::_::Value.string(arg1)::_::rest => Value.spec(Arg.datatype_spec {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(9,0,(fn rest => Value.specs(Arg.nil_specs {})::rest)),
(9,2,(fn Value.specs(arg0)::Value.spec(arg1)::rest => Value.specs(Arg.cons_specs {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(8,3,(fn _::Value.specs(arg0)::_::rest => Value.sg(Arg.sig_sg arg0)::rest|_=>raise (Fail "bad parser"))),
(10,1,(fn Value.string(arg0)::rest => Value.pattern(Arg.ident_pattern arg0)::rest|_=>raise (Fail "bad parser"))),
(10,3,(fn _::Value.pattern(arg0)::_::rest => Value.pattern(Arg.paren_pattern arg0)::rest|_=>raise (Fail "bad parser"))),
(10,2,(fn _::_::rest => Value.pattern(Arg.unit_pattern {})::rest|_=>raise (Fail "bad parser"))),
(10,3,(fn _::Value.patterns(arg0)::_::rest => Value.pattern(Arg.tuple_pattern arg0)::rest|_=>raise (Fail "bad parser"))),
(10,1,(fn Value.int(arg0)::rest => Value.pattern(Arg.number_pattern arg0)::rest|_=>raise (Fail "bad parser"))),
(11,1,(fn Value.pattern(arg0)::rest => Value.pattern(Arg.atom_pattern arg0)::rest|_=>raise (Fail "bad parser"))),
(11,2,(fn Value.pattern(arg0)::Value.longid(arg1)::rest => Value.pattern(Arg.app_pattern {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(12,3,(fn Value.pattern(arg0)::_::Value.pattern(arg1)::rest => Value.patterns(Arg.double_patterns {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(12,3,(fn Value.patterns(arg0)::_::Value.pattern(arg1)::rest => Value.patterns(Arg.cons_patterns {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(13,1,(fn Value.longid(arg0)::rest => Value.term(Arg.ident_term arg0)::rest|_=>raise (Fail "bad parser"))),
(13,3,(fn _::Value.term(arg0)::_::rest => Value.term(Arg.paren_term arg0)::rest|_=>raise (Fail "bad parser"))),
(13,2,(fn _::_::rest => Value.term(Arg.unit_term {})::rest|_=>raise (Fail "bad parser"))),
(13,3,(fn _::Value.terms(arg0)::_::rest => Value.term(Arg.tuple_term arg0)::rest|_=>raise (Fail "bad parser"))),
(13,5,(fn _::Value.term(arg0)::_::Value.decls(arg1)::_::rest => Value.term(Arg.let_term {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(13,1,(fn Value.int(arg0)::rest => Value.term(Arg.number_term arg0)::rest|_=>raise (Fail "bad parser"))),
(13,1,(fn Value.string(arg0)::rest => Value.term(Arg.string_term arg0)::rest|_=>raise (Fail "bad parser"))),
(13,1,(fn Value.char(arg0)::rest => Value.term(Arg.char_term arg0)::rest|_=>raise (Fail "bad parser"))),
(13,1,(fn _::rest => Value.term(Arg.neg_term {})::rest|_=>raise (Fail "bad parser"))),
(17,1,(fn Value.term(arg0)::rest => Value.term(Arg.atom_term arg0)::rest|_=>raise (Fail "bad parser"))),
(17,2,(fn Value.term(arg0)::Value.term(arg1)::rest => Value.term(Arg.app_term {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(14,1,(fn Value.term(arg0)::rest => Value.term(Arg.term_app_term arg0)::rest|_=>raise (Fail "bad parser"))),
(14,3,(fn Value.term(arg0)::_::Value.term(arg1)::rest => Value.term(Arg.plus_term {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(14,3,(fn Value.term(arg0)::_::Value.term(arg1)::rest => Value.term(Arg.minus_term {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(14,3,(fn Value.term(arg0)::_::Value.term(arg1)::rest => Value.term(Arg.times_term {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(14,3,(fn Value.term(arg0)::_::Value.term(arg1)::rest => Value.term(Arg.concat_term {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(14,6,(fn Value.term(arg0)::_::Value.tp(arg1)::_::Value.string(arg2)::_::rest => Value.term(Arg.fn_term {3=arg0,2=arg1,1=arg2})::rest|_=>raise (Fail "bad parser"))),
(14,4,(fn Value.match(arg0)::_::Value.term(arg1)::_::rest => Value.term(Arg.case_term {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(15,3,(fn Value.term(arg0)::_::Value.term(arg1)::rest => Value.terms(Arg.double_terms {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(15,3,(fn Value.terms(arg0)::_::Value.term(arg1)::rest => Value.terms(Arg.cons_terms {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(18,3,(fn Value.term(arg0)::_::Value.pattern(arg1)::rest => Value.match(Arg.single_match {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(18,5,(fn Value.match(arg0)::_::Value.term(arg1)::_::Value.pattern(arg2)::rest => Value.match(Arg.cons_match {3=arg0,2=arg1,1=arg2})::rest|_=>raise (Fail "bad parser"))),
(19,1,(fn Value.longid(arg0)::rest => Value.module(Arg.ident_module arg0)::rest|_=>raise (Fail "bad parser"))),
(19,3,(fn _::Value.module(arg0)::_::rest => Value.module(Arg.paren_module arg0)::rest|_=>raise (Fail "bad parser"))),
(19,3,(fn _::Value.decls(arg0)::_::rest => Value.module(Arg.struct_module arg0)::rest|_=>raise (Fail "bad parser"))),
(19,3,(fn Value.sg(arg0)::_::Value.module(arg1)::rest => Value.module(Arg.trans_seal_module {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(19,3,(fn Value.sg(arg0)::_::Value.module(arg1)::rest => Value.module(Arg.opaque_seal_module {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(20,4,(fn Value.term(arg0)::_::Value.pattern(arg1)::_::rest => Value.decl(Arg.val_decl {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(20,11,(fn Value.term(arg0)::_::Value.tp(arg1)::_::_::Value.tp(arg2)::_::Value.string(arg3)::_::Value.string(arg4)::_::rest => Value.decl(Arg.fun_decl {5=arg0,4=arg1,3=arg2,2=arg3,1=arg4})::rest|_=>raise (Fail "bad parser"))),
(20,4,(fn Value.tp(arg0)::_::Value.string(arg1)::_::rest => Value.decl(Arg.type_decl {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(20,4,(fn Value.dt(arg0)::_::Value.string(arg1)::_::rest => Value.decl(Arg.datatype_decl {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(20,4,(fn Value.module(arg0)::_::Value.string(arg1)::_::rest => Value.decl(Arg.structure_decl {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(20,6,(fn Value.module(arg0)::_::Value.sg(arg1)::_::Value.string(arg2)::_::rest => Value.decl(Arg.trans_structure_decl {3=arg0,2=arg1,1=arg2})::rest|_=>raise (Fail "bad parser"))),
(20,6,(fn Value.module(arg0)::_::Value.sg(arg1)::_::Value.string(arg2)::_::rest => Value.decl(Arg.opaque_structure_decl {3=arg0,2=arg1,1=arg2})::rest|_=>raise (Fail "bad parser"))),
(20,2,(fn Value.longid(arg0)::_::rest => Value.decl(Arg.open_decl arg0)::rest|_=>raise (Fail "bad parser"))),
(20,5,(fn _::Value.decls(arg0)::_::Value.decls(arg1)::_::rest => Value.decl(Arg.local_decl {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser"))),
(16,0,(fn rest => Value.decls(Arg.nil_decls {})::rest)),
(16,2,(fn Value.decls(arg0)::Value.decl(arg1)::rest => Value.decls(Arg.cons_decls {2=arg0,1=arg1})::rest|_=>raise (Fail "bad parser")))],
(fn Value.decls x => x | _ => raise (Fail "bad parser")), Arg.error)
end
end
